Fri Jan 28 11:21:05 CET 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.1 released.

Tue Jan 25 11:01:57 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * ciao/Deployment/Handlers/Connection_Handler.h:
        * ciao/Deployment/Handlers/Connection_Handler.cpp:
          Use the proper endpoint to disconnect a non local connection.
          Also catch a transient exception because of the fact that dance shuts
          down the locality managers simultaniously.

        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Connector/Connector.mpc:
          Removed after and lib declarations.

Tue Jan 25 10:27:31 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * ciao/Deployment/Handlers/Connection_Handler.cpp:
          Catch extra exceptions since dance shuts down the locality managers
          simultaniously.

Mon Jan 24 14:51:43 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/docs/AMI4CCM-explanation.odt:
        * connectors/ami4ccm/docs/AMI4CCM-spec.odt:
        * connectors/ami4ccm/docs/RFP.odt:
          Removed these files, RFP is formally published by the OMG and a
          draft initial submission is now available which replaces our
          draft specifications

Mon Jan 24 14:13:36 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * ciao/Containers/Container_Base_T.cpp:
          Don't need to throw an exception when the executor seems nil.
          Optimized logging.

Sun Jan 23 18:08:59 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
        * connectors/dds4ccm/idl/ndds/ndds_stub.mpc:
          Attempt to fix install warnings in windows

Fri Jan 21 15:47:13 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
          Updated for the upcoming release.

Fri Jan 21 14:09:13 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/ndds_stub.mpb:
          Typcode instead of anytypecode was sufficient.

        * connectors/dds4ccm/impl/logger/dds4ccm_logger.mpc:
          reverted last change.

Fri Jan 21 13:40:56 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/ndds_stub.mpb:
        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.mpc:
        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.mpc:
        * connectors/dds4ccm/impl/logger/dds4ccm_logger.mpc:
          Resolved link issues on static builds.

Fri Jan 21 10:33:20 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * tests/DAnCE/PartialShutdown/Base/PartialShutdown.mpc:
          No use to not to build Partial_lem_gen because of ccm_noevents

Fri Jan 21 09:26:08 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/ndds/ndds_lem_stub.mpc:
          Resolved issues regarding to non-dds builds.

Thu Jan 20 15:20:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/ndds.mpb:
          Resolves compile issues related to non-dds builds

Thu Jan 20 11:42:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        Merged changes from Remedy work branch.

        === start changelog ===

        Wed Jan 19 13:03:24 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved some issues regarding disconnecting event ports.

        Wed Jan 19 12:11:00 UTC 2011  Martin Corino  <mcorino@remedy.nl>

                        * bin/ciao_tests.lst:
                          Exclude DAnCE/LocalityManager/CommandlinePassage/run_test_cmd
                          test from running on Windows.

        Tue Jan 18 18:30:39 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * examples/BasicSP/README.html:
                  Removed references cidl

        Tue Jan 18 18:25:03 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * docs/Porting_Hints.txt:
                * docs/releasenotes/switch.html:
                * examples/BasicSP/README.html:
                * examples/BasicSP/RepoMan_Usage.html:
                * examples/Display/README.html:
                * examples/Display/descriptors/basicNodeDaemon.pl:
                * examples/Display/descriptors/run_NodeDaemons.pl:
                * examples/Hello/descriptors/run_NodeDaemons.pl:
                * examples/Hello/step-by-step.html:
                * tests/Bug_2130_Regression/descriptors/run_test.pl:
                * tutorials/Quoter/Simple/04.html:
                * tutorials/Quoter/Simple/README.html:
                  Updated executable names and locations

        Tue Jan 18 14:50:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * docs/com-impl.html:
                * docs/new_components.html:
                  Small change, needs more updates

                * docs/RT-Extension.html:
                * docs/XML/ciao_rt_cad_ext.dtd:
                  Removed these files, obsolete

        Tue Jan 18 14:11:53 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Implement disconnect_publisher.

        Tue Jan 18 11:33:18 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved runtime test errors. Also optimized logging
                  and code layout.

        Mon Jan 17 15:13:22 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved runtime issues related to cookies.

        Mon Jan 17 14:18:33 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Storing cookies in a _var first.
                  Optimized logging.

        Mon Jan 17 13:05:58 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Servant_Activator.cpp:
                  Resolved valgrind errors.

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved valgrind errors. Optimized logging.

        Mon Jan 17 11:02:27 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Component_Handler.cpp:
                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved runtime issues related to disconnect non local
                  connections.

                * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
                  Resolved valgrind errors.

        Fri Jan 14 15:41:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Implemented disconnect_consumer

                * tests/DAnCE/NodeManager-Deployments/PublishConnectionExplicitHome.cdp:
                  Added extra connection in order to check cookie mechanism.

        Fri Jan 14 10:24:23 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved issues regarding disconnect non local connections.

        Thu Jan 13 18:16:14 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Container_Base_T.h:
                * ciao/Containers/Container_Base_T.cpp:
                * ciao/Containers/Extension/Extension_Container.cpp:
                * ciao/Containers/Session/Session_Container.cpp:
                  Changed method header of prepare_installation

                * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
                * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
                  Optimized logging.

        Thu Jan 13 17:33:38 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Container_Base_T.h:
                * ciao/Containers/Container_Base_T.cpp:
                * ciao/Containers/Extension/Extension_Container.cpp:
                * ciao/Containers/Session/Session_Container.cpp:
                  Merged double code into one method.

                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Reorganized code. Added a method to disconnect
                  non local connections.

        Wed Jan 12 15:15:09 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Extension/Extension_Container.h:
                * ciao/Containers/Extension/Extension_Container.cpp:
                * ciao/Containers/Session/Session_Container.cpp:
                  Resolved link/compile issues on windows.

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved runtime errors regarding cookie registration.

        Wed Jan 12 14:43:37 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Container_Base_T.h:
                * ciao/Containers/Container_Base_T.cpp:
                * ciao/Containers/Extension/Extension_Container.h:
                * ciao/Containers/Extension/Extension_Container.cpp:
                * ciao/Containers/Extension/Extension_Container.mpc:
                * ciao/Containers/Session/Session_Container.h:
                * ciao/Containers/Session/Session_Container.cpp:
                * ciao/Containers/Session/Session_Container.mpc:
                * ciao/Containers/Extension/Extension_Container.inl:
                * ciao/Containers/Session/Session_Container.inl:
                  Reorganized code. Moved as much as possible code to the base class.

                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Check whether the Cookie was succesfully inserted into the internal
                  map. If not, throw an InvalidConnection exception since disconnect
                  will certainly fail. Also remove the cookie and CCMObject again.

        Wed Jan 12 09:56:24 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/DAnCE/PartialShutdown/Component1/Component1_exec.cpp:
                * tests/DAnCE/PartialShutdown/Component2/Component2_exec.cpp:
                * tests/DAnCE/PartialShutdown/Component3/Component3_exec.cpp:
                  Shutting down tickers of component 3 on ccm_passivate.
                  Resolved valgrind issues.

        Mon Jan 10 11:26:19 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
                  Fixed doxygen warnings

                * connectors/dds4ccm/impl/ndds/Utils.cpp:
                  Fixed fuzz

        Mon Jan 10 09:19:06 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * etc/ciao.doxygen:
                * etc/ciao_dds4ccm.doxygen:
                  Removed deprecated macros

                * tests/IDL_Test/Cornucopia/Cornucopia.doxygen:
                * tests/IDL_Test/Cornucopia/run_test.pl:
                  Run doxygen on the generated executor file and see if no errors
                  or warnings are triggered as part of our test.

                * bin/ciao_tests.lst:
                  Added new test only when DOXYGEN is deifned

        Mon Jan 10 08:24:37 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.h:
                * connectors/ami4ccm/tests/DelReplyH/Receiver/DelReplyH_Receiver_exec.h:
                * connectors/ami4ccm/tests/Exceptions/Receiver/ExceptionT_Receiver_exec.h:
                * connectors/ami4ccm/tests/GetComp/Receiver/GetComp_Receiver_exec.h:
                * connectors/ami4ccm/tests/InterInArgs/Receiver/InterInArgsT_Receiver_exec.h:
                * connectors/ami4ccm/tests/InterInOutArgs/Receiver/InterInOutT_Receiver_exec.h:
                * connectors/ami4ccm/tests/InterMulti/Receiver/InterMulti_Receiver_exec.h:
                * connectors/ami4ccm/tests/InterOutArgs/Receiver/InterOutArgsT_Receiver_exec.h:
                * connectors/ami4ccm/tests/InterReturn/Receiver/InterReturnT_Receiver_exec.h:
                * connectors/ami4ccm/tests/NoReplyH/Receiver/NoReplyH_Receiver_exec.h:
                * connectors/ami4ccm/tests/OneProcess/Receiver/OneProcess_Receiver_exec.h:
                * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.h:
                * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.h:
                * connectors/ami4ccm/tests/ThreeComp/Receiver/ThreeComp_Receiver_exec.h:
                * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.h:
                * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.h:
                * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.h:
                * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Receiver_comp_exec.h:
                * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Receiver_comp_exec.h:
                * connectors/dds4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
                * connectors/dds4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
                * connectors/dds4ccm/examples/Large_Deployment/DDS_Sub/DDS_Sub_exec.h:
                * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service_exec.h:
                * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.h:
                * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h:
                * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.h:
                * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h:
                * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
                * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver_exec.h:
                * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.h:
                * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver_exec.h:
                * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender_exec.h:
                * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
                * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
                * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
                * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/CoherentUpdater/Sender/CoherentUpdate_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.h:
                * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.h:
                * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_exec.h:
                * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Receiver/WU_LateBinding_Receiver_exec.h:
                * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
                * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.h:
                * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.h:
                * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
                * connectors/dds4ccm/tests/Proxies/ReadWrite/Receiver/Proxy_RW_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/Proxies/ReadWrite/Sender/Proxy_RW_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/Different/Receiver/Different_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Receiver/QCTL_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Receiver/QCTQ_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Sender/QCTQ_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.h:
                * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.h:
                * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
                * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.h:
                * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.h:
                * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.h:
                * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
                * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
                * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.h:
                * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Sender_comp/Shapes_Sender_comp_exec.h:
                * examples/Hello/Sender/Sender_exec.h:
                * examples/Null_Component/Null_Component_exec.h:
                * examples/Null_Component_Glfa/Null_Component_exec.h:
                * tests/Bug_3834_Regression/CompA_exec.h:
                * tests/CIF/Component/CIF_Component_exec.h:
                * tests/DAnCE/Components/Progressive_exec.h:
                * tests/DAnCE/PartialShutdown/Component1/Component1_exec.h:
                * tests/DAnCE/PartialShutdown/Component2/Component2_exec.h:
                * tests/DAnCE/PartialShutdown/Component3/Component3_exec.h:
                * tests/Thread/Sender/Sender_exec.h:
                * tutorials/Quoter/Simple/Distributor/StockDistributor_exec.h:
                  Fixed doxygen warnings

        Fri Jan  7 16:05:10 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Resolved disconnect issues.

        Fri Jan  7 14:49:14 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * connectors/ami4ccm/tests/IDL_Test/Hello.idl:
                  Added oneway method

        Fri Jan  7 12:52:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/ndds_stub.mpb:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                  Optimized MPC-file's.

        Fri Jan  7 12:06:51 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.h:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/descriptors/USER_QOS_PROFILES.xml:
                  Created a profile and using the _with_profile methods in this example.

        Fri Jan  7 11:51:27 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.h:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.cpp:
                  Layout changes.

        Fri Jan  7 09:24:16 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/Cookies/Cookie.cpp:
                  Removed unnecessary debug statements.

        Fri Jan  7 09:04:25 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * bin/ciao_tests.lst:
                * tests/Cookies:
                * tests/Cookies/Cookie.h:
                * tests/Cookies/Cookie.cpp:
                * tests/Cookies/Cookies.mpc:
                * tests/Cookies/Test.idl:
                * tests/Cookies/client.cpp:
                * tests/Cookies/run_test.pl:
                * tests/Cookies/server.cpp:
                  Added test which explicitly tests the cookie implementation.

                * ciao/Containers/Container_Base_T.cpp:
                  No need to catch the CookieRequired exception anymore.

                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Remove cookie from the map on disconnect.

                * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
                  Resolved compile issues related to qos_profile name.

        Thu Jan  6 10:33:41 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * ciao/Containers/Container_Base.idl:
                * ciao/Containers/Container_Base_T.h:
                * ciao/Containers/Container_Base_T.cpp:
                * ciao/Containers/Extension/Extension_Container.h:
                * ciao/Containers/Extension/Extension_Container.cpp:
                * ciao/Containers/Session/Session_Container.h:
                * ciao/Containers/Session/Session_Container.cpp:
                * ciao/Deployment/Handlers/Connection_Handler.h:
                * ciao/Deployment/Handlers/Connection_Handler.cpp:
                  Moved (dis)connect methods to the base. Making use of the cookie
                  functionality when (dis)connecting local connections.

                * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
                  Fixed typo.

                * connectors/dds4ccm/impl/ndds/Utils.h:
                * connectors/dds4ccm/impl/ndds/Utils.cpp:
                  Added.

        Wed Jan  5 14:18:54 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/ndds/ndds_dcps.idl:
                * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
                * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
                * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
                * connectors/dds4ccm/impl/DDS_Get_T.h:
                * connectors/dds4ccm/impl/DDS_Get_T.cpp:
                * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
                * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
                * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
                * connectors/dds4ccm/impl/DDS_Update_T.h:
                * connectors/dds4ccm/impl/DDS_Update_T.cpp:
                * connectors/dds4ccm/impl/DDS_Write_T.h:
                * connectors/dds4ccm/impl/DDS_Write_T.cpp:
                * connectors/dds4ccm/impl/Utils.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
                * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
                * connectors/dds4ccm/impl/ndds/Publisher.h:
                * connectors/dds4ccm/impl/ndds/Publisher.cpp:
                * connectors/dds4ccm/impl/ndds/Subscriber.h:
                * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
                * connectors/dds4ccm/impl/ndds/ndds.mpc:
                  Replaced all libary_name/profile_name combination with one
                  string (qos_profile). Substract the library_name and profile_name in
                  the NDDS library (instead of the core).

        Wed Jan  5 11:42:01 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * bin/ciao_tests.lst:
                  Added 3944

                * tests/Bug_3944_Regression:
                * tests/Bug_3944_Regression/base_connector_conn.idl:
                * tests/Bug_3944_Regression/connector_conn.idl:
                * tests/Bug_3944_Regression/connector_inst_conn.idl:
                * tests/Bug_3944_Regression/run_test.pl:
                  New test for bugzilla 3944

        Wed Jan  5 11:01:04 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/DAnCE/PartialShutdown/Base/PartialShutdown.mpc:
                  Resolved link issues on windows.

        Wed Jan  5 10:56:02 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * tests/DAnCE/PartialShutdown/Component1/Component1.mpc:
                * tests/DAnCE/PartialShutdown/Component2/Component2.mpc:
                * tests/DAnCE/PartialShutdown/Component3/Component3.mpc:
                  Resolved compile issues on windows.

        Wed Jan  5 09:15:01 UTC 2011  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
                  Resolved runtime issues.

        Sun Jan  2 13:28:25 UTC 2011  Johnny Willemsen  <jwillemsen@remedy.nl>

                * CIAO_TAO.mwc:
                * CIAO_TAO_DAnCE.mwc:

                * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:

                * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.cpp:

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.cpp:

                * connectors/dds4ccm/examples/Shapes/descriptors/run_test.pl:

                * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.mpc:

                * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.mpc:

        Tue Dec 28 14:42:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSThroughput/DDS_Sender/Throughput_Sender.cpp:
                  Resolved test errors.

        Tue Dec 28 07:56:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                  Resolved compile issues on linux.

        Mon Dec 27 15:10:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * bin/ciao_tests.lst:

                * tests/DAnCE/PartialShutdown/*:
                  Test which tests whether all connections are correctly shutdown
                  when one component is shutdown using a deploymentplan.
                  For now it tests whether all connections were shutdown properly.

        Mon Dec 27 12:47:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/dds4ccm_ts_default.mpb:
                * MPC/config/ndds_ts_default.mpb:
                  Ability for users to create their ndds-only projects.

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Base.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.mpc:
                  Changed mpc files to only use ndds base projects.

        Mon Dec 27 10:42:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/dds4ccm.mpb:
                * MPC/config/dds4ccm_base.mpb:
                  Corrected base projects.

        Mon Dec 27 10:30:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/dds4ccm.mpb:
                * MPC/config/dds4ccm_base.mpb:
                  Resolved linker errors on windows.

        Mon Dec 27 10:15:26 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/idl/ndds/ndds_dcps.idl:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_i_handle.idl:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_instance_handle.idl:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_instance_handleC.h:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_instance_handleC.cpp:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_instance_handleEC.h:
                * connectors/dds4ccm/idl/ndds/ndds_dcps_instance_handleS.h:
                * connectors/dds4ccm/idl/ndds/ndds_lem_stub.mpc:
                * connectors/dds4ccm/idl/ndds/ndds_skel.mpc:
                * connectors/dds4ccm/idl/ndds/ndds_stub.mpc:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_i_handle.idl:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handle.idl:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleC.h:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleC.cpp:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleEC.h:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleS.h:
                  Renamed dds_rtf2_dcps to ndds_dcps.

        Mon Dec 27 09:34:09 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * MPC/config/dds4ccm.mpb:
                * MPC/config/dds4ccm_base.mpb:
                * MPC/config/ndds.mpb:
                * MPC/config/ndds_lem_stub.mpb:
                * MPC/config/ndds_skel.mpb:
                * MPC/config/ndds_stub.mpb:
                * connectors/dds4ccm/idl/dds4ccm_lem_stub.mpc:
                * connectors/dds4ccm/idl/dds4ccm_skel.mpc:
                * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
                * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
                * connectors/dds4ccm/idl/ndds:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_i_handle.idl:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handle.idl:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleC.h:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleC.cpp:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleEC.h:
                * connectors/dds4ccm/idl/ndds/dds_rtf2_dcps_instance_handleS.h:
                * connectors/dds4ccm/idl/ndds/ndds_dcps.idl:
                * connectors/dds4ccm/idl/ndds/ndds_lem_stub.mpc:
                * connectors/dds4ccm/idl/ndds/ndds_skel.mpc:
                * connectors/dds4ccm/idl/ndds/ndds_stub.mpc:
                * connectors/dds4ccm/impl/ConditionManager.h:
                * connectors/dds4ccm/impl/ConditionManager.cpp:
                * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
                * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
                * connectors/dds4ccm/impl/Getter_T.h:
                * connectors/dds4ccm/impl/Reader_T.cpp:
                * connectors/dds4ccm/impl/TopicListener.cpp:
                * connectors/dds4ccm/impl/Utils.h:
                * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
                * connectors/dds4ccm/impl/ndds/Condition.h:
                * connectors/dds4ccm/impl/ndds/Condition.cpp:
                * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h:
                * connectors/dds4ccm/impl/ndds/DataReader.h:
                * connectors/dds4ccm/impl/ndds/DataReaderListener.h:
                * connectors/dds4ccm/impl/ndds/DataReader_T.h:
                * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
                * connectors/dds4ccm/impl/ndds/DataWriter.h:
                * connectors/dds4ccm/impl/ndds/DataWriterListener.h:
                * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
                * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
                * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h:
                * connectors/dds4ccm/impl/ndds/Publisher.h:
                * connectors/dds4ccm/impl/ndds/Publisher.cpp:
                * connectors/dds4ccm/impl/ndds/PublisherListener.h:
                * connectors/dds4ccm/impl/ndds/QueryCondition.h:
                * connectors/dds4ccm/impl/ndds/ReadCondition.h:
                * connectors/dds4ccm/impl/ndds/StatusCondition.h:
                * connectors/dds4ccm/impl/ndds/Subscriber.h:
                * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
                * connectors/dds4ccm/impl/ndds/SubscriberListener.h:
                * connectors/dds4ccm/impl/ndds/Topic.h:
                * connectors/dds4ccm/impl/ndds/TopicDescription.h:
                * connectors/dds4ccm/impl/ndds/TopicListener.h:
                * connectors/dds4ccm/impl/ndds/TypeSupport.h:
                * connectors/dds4ccm/impl/ndds/WaitSet.h:
                * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
                * connectors/dds4ccm/impl/ndds/ndds.mpc:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_i_handle.idl:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handle.idl:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleC.h:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleC.cpp:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleEC.h:
                * connectors/dds4ccm/idl/dds_rtf2_dcps_instance_handleS.h:
                  Splitted dds_rtf2_dcps.idl into two parts, given ndds it's own idl file with its own.
                  stub and skeleton projects. The NDDS wrapper library now inherits from these stub and
                  skeleton projects

        Fri Dec 24 09:13:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.mpc:
                  Fuzz.

                * connectors/dds4ccm/impl/Getter_T.cpp:
                  ::DDS::xxx instead of DDS_xxx.

        Thu Dec 23 10:28:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.h:
                * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.cpp:
                  Implemented unregister_type since this one is pure virtual in the
                  base class.

        Thu Dec 23 09:02:00 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
                  Derive from DDS_Base instead of DDS_TopicBase.

                * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.h:
                * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.cpp:
                  Removed unnecessary template parameters.
                  Fuzz.

        Thu Dec 23 08:11:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.h:
                * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.cpp:
                  Removed template parameters due to changes in the IDL compiler.

        Wed Dec 22 15:44:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
                * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
                  Removed fith template parameter due to changes in the IDL compiler.

        Wed Dec 22 14:43:46 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
                * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
                * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
                * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
                * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
                * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
                  Removed fith template parameter due to changes in the IDL compiler.

        Wed Dec 22 14:03:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
                * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.cpp:
                  Resolved valgrind warnings/errors.

        Wed Dec 22 13:29:28 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
                * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
                  Resolved memory leaks.

        Wed Dec 22 13:08:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.h:
                * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.cpp:
                  Resolved memory leak.

        Wed Dec 22 12:59:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.h:
                * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
                  Resolved memory leaks.

        Wed Dec 22 12:34:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/DDS_Write_T.cpp:
                  Layout changes

                * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.h:
                  Removed unused class variables.

                * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
                  Resolved memory leaks.

        Wed Dec 22 11:42:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver.mpc:
                * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.h:
                * connectors/dds4ccm/examples/Shapes/Receiver/Shapes_Receiver_exec.cpp:
                * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender.mpc:
                * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.h:
                * connectors/dds4ccm/examples/Shapes/Sender/Shapes_Sender_exec.cpp:
                * connectors/dds4ccm/examples/Shapes/descriptors/Plan.cdp:
                  Rewritten, using the generated executor code.

                * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/descriptors/run_test.pl:
                  Given the application some extra time to run

        Tue Dec 21 14:52:07 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
                  Removed implementation of register_type and unregister_type
                  since they're pure virtual.

        Tue Dec 21 14:21:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.cpp:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.cpp:
                  Using the IDL defined type specific datareader/datawriter.

        Tue Dec 21 13:43:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
                  register_type and unregister_type are now pure virtual.

        Tue Dec 21 13:33:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.cpp:
                  Resolve compile error on windows.

        Tue Dec 21 13:29:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
                  Resolved compile error.

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.idl:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_ShapeType.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Traits.h:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Sender/I2C_Shapes_Sender.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Connector.idl:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Connector.mpc:
                  Renamed xxx_Connector.* files since these files do not contain connector stuff.

        Tue Dec 21 13:11:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Connector:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Connector/I2C_Shapes_Connector.idl:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Connector/I2C_Shapes_Connector.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Connector/I2C_Shapes_Traits.h:
                  Removed these files.

        Tue Dec 21 13:09:03 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Connector.idl:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Connector.mpc:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Base/I2C_Shapes_Traits.h:
                * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.h:
                  Moved Connector/* files to Base.

        Tue Dec 21 10:44:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

                * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
                * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
                * connectors/dds4ccm/impl/ndds/Publisher.cpp:
                * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
                  Optimized logging for with_profile methods.

                * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.h:
                  Removed unused class variable.

        === end changelog ===

Mon Dec 20 19:10:15 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ndds.mpc:
          Requires ndds

Mon Dec 20 12:17:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.cpp:
          Resolved compile error on windows.

Mon Dec 20 10:29:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
          Resolved compile error.

        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.cpp:
          Inserted extra log message.

Fri Dec 17 15:01:53 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * */*.*:
          Merged RemedyWork branch.

Fri Dec 17 10:35:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
          Resolved linker error on windows builds

Wed Dec 15 11:49:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ndds.mpc:
          Simplified base projects and correct header directory

Wed Dec 15 11:25:42 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Enable typecodes with opendds

        * bin/ciao_tests.lst:
          Enabled new tests

Wed Dec 15 14:43:48 UTC 2010  Marijke Hengstmengel  <mhengstmengelm@remedy.nl>

        * tests/DAnCE/LocalityManager/CommandlinePassage/run_test_cmd.pl:
        Changed sever args.

Wed Dec 15 14:02:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.h:
          Removed DDS_TYPE and SEQ_TYPE template parameters from the Base Connector

Wed Dec 15 13:15:48 UTC 2010  Marijke Hengstmengel  <mhengstmengelm@remedy.nl>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/descriptors/Plan.cdp:
        Generate ReplyHandler in exec with -Gex option.

Wed Dec 15 13:10:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.mpc:
          Don't let the IDL compiler generate the executor code.

Wed Dec 15 12:46:48 UTC 2010  Marijke Hengstmengel  <mhengstmengelm@remedy.nl>

        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnTA_conn_i.h:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnTA_conn_i.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsTA_conn_i.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsTA_conn_i.h:
        Removed.

Wed Dec 15 12:23:48 UTC 2010  Marijke Hengstmengel  <mhengstmengelm@remedy.nl>

        *connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        *connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.h:
        *connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender.mpc:
        *connectors/ami4ccm/tests/OneProcess/Base/OneProcess.mpc:
        *connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender.mpc:
        *connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        *connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.h:
        *connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.h:
        *connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender.mpc:
        *connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.h:
        *connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender.mpc:
        *connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterInArgs/Base/InterInArgsT.idl:
        *connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.h:
        *connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender.mpc:
        *connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.cpp:
        *connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master.mpc:
        *connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.cpp:
        *connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.h:
        *connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.h:
        *connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender.mpc:
        *connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.h:
        *connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender.mpc:
        *connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp:
        *connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        *connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.h:
        *connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc:
        *connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.h:
        *connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender.mpc:
        *connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        *connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.h:
        *connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc:
        *connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.cpp:
        *connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.h:
        *connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender.mpc:
        *connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.cpp:
        *connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.h:
        *connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender.mpc:
        *connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.h:
        *connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender.mpc:
        *connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender.mpc:
        *connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.cpp:
        *connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.h:
        *connectors/ami4ccm/tests/InterInOutArgs/Base/InterInOutT.idl:
        Remove ReplyHandler from separate conn_i file to Sender_exec, according new
        output -Gex option.

        *connectors/ami4ccm/tests/OneProcess/Sender/OneProcessA_conn_i.cpp:
        *connectors/ami4ccm/tests/OneProcess/Sender/OneProcessA_conn_i.h:
        *connectors/ami4ccm/tests/Exceptions/Sender/ExceptionTA_conn_i.cpp:
        *connectors/ami4ccm/tests/Exceptions/Sender/ExceptionTA_conn_i.h:
        *connectors/ami4ccm/tests/ThreeComp/Base/ThreeCompA_conn_i.h:
        *connectors/ami4ccm/tests/ThreeComp/Base/ThreeCompA_conn_i.cpp:
        *connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsTA_conn_i.cpp:
        *connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsTA_conn_i.h :
        *connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyHA_conn_i.cpp :
        *connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyHA_conn_i.h:
        *connectors/ami4ccm/tests/UsesMulti/Sender/UsesMultiA_conn_i.cpp:
        *connectors/ami4ccm/tests/UsesMulti/Sender/UsesMultiA_conn_i.h:
        *connectors/ami4ccm/tests/InterMulti/Sender/InterMultiA_conn_i.cpp:
        *connectors/ami4ccm/tests/InterMulti/Sender/InterMultiA_conn_i.h:
        *connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSMA_conn_i.cpp:
        *connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSMA_conn_i.h:
        *connectors/ami4ccm/tests/GetComp/Sender/GetCompA_conn_i.cpp:
        *connectors/ami4ccm/tests/GetComp/Sender/GetCompA_conn_i.h:
        *connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyHA_conn_i.cpp:
        *connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyHA_conn_i.h:
        *connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyHA_conn_i.h:
        *connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyHA_conn_i.cpp:
        *connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutTA_conn_i.h:
        *connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutTA_conn_i.cpp:
        Remove files.

Wed Dec 15 11:45:48 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
          Added missing include.

Wed Dec 15 10:26:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.h:
          Removed unnecessary class members.

        * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Throughput/Receiver/Throughput_Receiver_exec.cpp:
        * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender.mpc:
        * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender_exec.h:
        * connectors/dds4ccm/performance-tests/Throughput/Sender/Throughput_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Wed Dec 15 09:15:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Latency/Receiver/LatencyTT_Test_Receiver_exec.cpp:

        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.h:
        * connectors/dds4ccm/performance-tests/Latency/Sender/LatencyTT_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec 14 15:24:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * NEWS:
          Prepared for next release

Tue Dec 14 14:46:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver.mpc:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/performance-tests/Keyed/Receiver/Perf_Keyed_Test_Receiver_exec.cpp:

        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender.mpc:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.h:
        * connectors/dds4ccm/performance-tests/Keyed/Sender/Perf_Keyed_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec 14 13:29:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Quoter/Broker/Broker.mpc:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.h:
        * connectors/dds4ccm/examples/Quoter/Broker/Broker_exec.cpp:

        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor.mpc:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.h:
        * connectors/dds4ccm/examples/Quoter/Distributor/Distributor_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec 14 13:13:17 CET 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 1.0.0 released.

Tue Dec 14 11:43:40 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
          Fixed memory leaks.

Tue Dec 14 11:23:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.h:
        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.cpp:
          Added a base class in which ref counting is enabled in the
          constructor. All other dds eventhandler classes are derived
          from this base class.
          This'll resolve some valgrind errors in the PortStatusListener.

        * connectors/dds4ccm/impl/PortStatusListener.cpp:
        * connectors/dds4ccm/impl/SubscriberListener.cpp:
          Layout changes

Tue Dec 14 09:05:48 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
          Rewritten, using the generated executor code. This was the last test
          for now. All tests using the reactor are now rewritten.

Tue Dec 14 08:35:22 UTC 2010  Marijke Hengstmengel  <mhegstmengel@remedy.nl>

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.cpp:
        Fuzz.

Mon Dec 13 16:45:53 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver.mpc:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.h:
        * connectors/dds4ccm/tests/Updater/Receiver/Updater_Receiver_exec.cpp:

        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender.mpc:
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender_exec.h:
        * connectors/dds4ccm/tests/Updater/Sender/Updater_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec 13 15:21:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Receiver/SL_OneByOne_Receiver_exec.cpp:

        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.h:
        * connectors/dds4ccm/tests/SLOneByOne/Sender/SL_OneByOne_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec 13 14:59:22 UTC 2010  Marijke Hengstmengel  <mhegstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/04_ami4ccm.html:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Sender_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/GeneratedExec/Hello_Sender_comp_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Receiver_comp_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Sender_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Receiver_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Tutorial/Code/ImplementedExec/Hello_Sender_comp_exec.h:
        Changed tutorial and code for changed generated ReplyHandler with -Gex.

Mon Dec 13 14:01:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Receiver/CSL_USTest_Receiver_exec.cpp:

        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLUnexpStat/Sender/CSL_USTest_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec 13 13:02:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Receiver/PSL_SampleLost_Receiver_exec.cpp:

        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLSampleLost/Sender/PSL_SampleLost_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec 13 12:49:22 UTC 2010  Marijke Hengstmengel  <mhegstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.idl:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/ccm_dds_mlt.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector_T.h:
        Implementation multiple templates. Still needed a TAO_IDL change for Typed::DataWriter/Reader.


Mon Dec 13 11:00:49 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
          Minor code layout changes

        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Receiver/PSL_DeadlineTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.h:
        * connectors/dds4ccm/tests/PSLDeadline/Sender/PSL_DeadlineTest_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec 13 08:18:22 UTC 2010  Marijke Hengstmengel  <mhegstmengel@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        Made (un)register_type virtual in Base and add implementation in TopicBase.

Mon Dec 13 07:56:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Connector/I2C_Shapes_Connector.idl:
          Fuzz.

Mon Dec 13 07:44:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Proxies/ReadWrite/Base/Reader_Starter.mpc:
        * connectors/dds4ccm/tests/Proxies/ReadWrite/Receiver/Proxy_RW_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/Proxies/ReadWrite/Sender/Proxy_RW_Test_Sender.mpc:
          Removed duplicate names in Reader_Starter projects.

Fri Dec 10 16:01:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Receiver/SL_Disabled_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.h:
        * connectors/dds4ccm/tests/SLDisabled/Sender/SL_Disabled_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Fri Dec 10 14:28:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver.idl:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Receiver/Unkeyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/UnkeyedSamples/Sender/Unkeyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedSamples/descriptors/Plan.cdp:
          Rewritter, using the generated executor code.
          Added a check on the number of samples received.

Fri Dec 10 13:50:18 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
          Added .in () to a _var.

        * connectors/dds4ccm/impl/Updater_T.cpp:
          Resolved some memory leaks.

        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.h:
        * connectors/dds4ccm/tests/SLManyByMany/Receiver/SL_ManyByMany_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender_exec.h:
        * connectors/dds4ccm/tests/SLManyByMany/Sender/SL_ManyByMany_Sender_exec.cpp:
          Rewritter, using the generated executor code.

Fri Dec 10 12:03:52 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.mpc:
          Resolved linker error on windows builds

Fri Dec 10 10:50:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
          Removed unneccasary include.

        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver.idl:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/KeyedSamples/Sender/Keyed_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/Plan.cdp:
          Rewritten, using the generated executor code.

Fri Dec 10 09:54:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Common/I2C_Shapes_Common.h:
          Fuzz fixes.

        * connectors/dds4ccm/examples/IDL2CPPWrapper/Shapes/Receiver/I2C_Shapes_Receiver.h:
          Removed this file.

Fri Dec 10 09:48:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender.mpc:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/CoherentWriter/Sender/CoherentWrite_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Fri Dec 10 09:17:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component.mpc:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.h:
        * connectors/dds4ccm/tests/UserdataCopyCount/Component/UCC_Test_Component_exec.cpp:
        * connectors/dds4ccm/tests/UserdataCopyCount/descriptors/Plan.cdp:
          Rewritten, using the generated executor code.

Thu Dec  9 13:25:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/examples/IDL2CPPWrapper/*:
          Added test/example which tests the IDL to c++ wrapper. This is a
          small shapes sender/receiver application.

Thu Dec  9 13:26:48 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * ciao/Containers/Extension/Extension_Container.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
          Added code to ignore the CookieRequired exception at shutdown and log
          only at a higher log level.
          This will be reverted after the disconnect behaviour has been properly
          fixed.

Thu Dec  9 10:02:03 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Base/Reader_Starter.idl:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Base/Reader_Starter.mpc:
          Added since they belong the the LateBinding test.

Thu Dec  9 09:54:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver.idl:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver.mpc:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_exec.h:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.h:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Sender/RG_LateBinding_Sender.idl:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Sender/RG_LateBinding_Sender.mpc:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Sender/RG_LateBinding_Sender_exec.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/descriptors/Plan.cdp:
          Resolved test errors by checking whether the last sample is available on the
          receiver side.

        * connectors/dds4ccm/tests/QueryCondition/DDS/Base/Base.mpc:
          Resolved unresolved externals on windows builds.

Thu Dec  9 08:19:14 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
          Attempt to fix a path to tao_idl3_to_xmi on installed builds.

Wed Dec  8 17:03:29 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
          Fuzz fix.

Wed Dec  8 17:34:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_3936_Regression:
        * tests/Bug_3937_Regression:
          Two new idl tests, will enable them in the test suite after
          the release

Wed Dec  8 14:28:53 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchTA_conn_i.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchTA_conn_i.cpp:
          Removed these files.
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender.mpc:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
          Updated to use the new AMI reply handler executor implementation
          skeleton generated in de _exec.* files instead of separate
          _conn_i.* files.

Wed Dec  8 12:16:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Proxies/ReadWrite/Sender/Proxy_RW_Test_Sender.mpc:
          Resolved linker issues on windows.

Wed Dec  8 10:59:48 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
          Added dance_xml_utils parent to CIAO_IDL3_TO_XMI_EXE. It's needed
          on static builds.

Tue Dec  7 15:16:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfoSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
          Moved the conversion from ::DDS::SampleInfo to CCM_DDS::ReadInfo to
          the impl directory.

Tue Dec  7 15:09:23 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tests/DAnCE/LocalityManager/CommandlinePassage/run_test_cmd.pl:
        * tests/DAnCE/LocalityManager/CommandlinePassage/Component_cmd.cdp:
        * bin/ciao_tests.lst:
        Added --server-args nodemanager test.

Tue Dec  7 15:03:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Receiver/QCLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Sender/QCLE_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec  7 14:11:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/Different/Receiver/Different_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/Different/Receiver/Different_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/Different/Receiver/Different_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/Different/Sender/Different_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/Different/Sender/Different_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/Different/Sender/Different_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec  7 13:44:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Receiver/QCTL_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Receiver/QCTL_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Receiver/QCTL_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Sender/QCTL_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Sender/QCTL_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Sender/QCTL_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec  7 13:07:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Receiver/QCTQ_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Receiver/QCTQ_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Receiver/QCTQ_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Sender/QCTQ_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Sender/QCTQ_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Sender/QCTQ_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Tue Dec  7 11:49:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * bin/ciao_tests.lst:
        * connectors/dds4ccm/tests/Proxies/*:
          Added test which tests the IDL DataWriter/DataReader.

Tue Dec  7 10:39:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Receiver/CFTLE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Sender/CFTLE_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Sender/WU_LateBinding_Sender_exec.cpp:
          Resolved compiler warning.

        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ListenNotEnabled/Receiver/LNE_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ListenNotEnabled/Sender/LNE_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

Mon Dec  6 15:40:12 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        *connectors/tests/AMIDDS/Base/AmiDds_Base.mpc:
        *connectors/ami4ccm/examples/Hello/Base/Hello.mpc:
        Removed -Gex option and includes of conn_i files.

Mon Dec  6 14:25:12 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h:
        Solve memory leak.

Mon Dec  6 14:03:12 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h:
        Activate sendc functions.

Mon Dec  6 12:15:12 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/tests/AMIDDS/Sender/AmiDds_Sender_exec.cpp:
        * connectors/tests/AMIDDS/Sender/AmiDds_Sender_exec.h:
        * connectors/ami4ccm/tests/GetComp/descriptors/run_test.pl:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.cpp:
        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender_exec.h:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.h:
        * connectors/ami4ccm/examples/Hello/Receiver/Hello_Receiver_exec.cpp:
        Resolve some memory leaks, reported by valgrind built.

Mon Dec  6 11:24:12 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Resolved link errors/warnings on windows.

Mon Dec  6 11:14:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
          Resolved link errors/warnings on windows.

Mon Dec  6 10:17:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
          Resolved linker errors on windows.

Mon Dec  6 00:27:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Updated some comments

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
          Fixed compile problems when no dds implementation is enabled

Sat Dec  4 10:37:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Replace DDS4CCM logging macros with ACE macros, since this is user code
          and doesn't belong to the DDS4CCM core. This'll probably solve unresolved
          externals on windows builds.

Fri Dec  3 14:20:25 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
          Replace some DDS_xxx defines with ::DDS::xxx defines. DDS_xxx defines
          are not allowed in the DDS4CCM core.

Fri Dec  3 13:01:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
          Resolve compile issue related to the number of template variables.

Fri Dec  3 09:59:02 UTC 2010  Martin Corino  <corino_m@remedy.nl>

        * bin/ciao_tests.lst:
          Fixed typo in pathname.

Fri Dec  3 10:33:37 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps_i_handle.idl:
          All idl in this file is for NDDS

Fri Dec  3 10:21:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm.mpb:
        * MPC/config/dds4ccm_ts_default.mpb:
          Added flags for OpenDDS

Fri Dec  3 09:36:43 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/ami4ccm/tests/IDL_Test/Hello_Component.idl:
          Added another test component

Fri Dec  3 06:14:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
          Updated template parameters since seq_type has been removed
          from the DDS traits.

        * connectors/dds4ccm/impl/Reader_T.cpp:
          Fixed some memory leaks

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
          Fixed some memory leaks

        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
          Code layout

        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Receiver/QCLS_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Sender/QCLS_Test_Sender_exec.cpp:
          Rewritten, using the generated executor code.

        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
          Layout changes.

        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
          Fixed memory leaks.

Wed Dec  1 11:55:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
       Remove trailing spaces and tabs.


Wed Dec  1 10:18:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/ciao_extension_container.mpb:
        * MPC/config/ciao_extension_container_stub.mpb:
        * MPC/config/ciao_session_container.mpb:
        * MPC/config/ciao_session_container_stub.mpb:
        * ciao/Containers/Container_Base.idl:
        * ciao/Containers/Extension/Extension_Container.mpc:
        * ciao/Containers/Extension/Extension_Container.cpp:
        * ciao/Containers/Session/Session_Container.cpp:
        * ciao/Containers/Session/Session_Container.mpc:
        * ciao/Deployment/Handlers/Component_Handler.cpp:
        * ciao/Deployment/Handlers/Container_Handler.h:
        * ciao/Deployment/Handlers/Homed_Component_Handler.cpp:
        * docs/releasenotes/switch.html:
        * MPC/config/ccm_componentserver_stub.mpb:
        * ccm/ComponentServer:
        * ccm/ComponentServer/CCM_ComponentServer.mpc:
        * ccm/ComponentServer/CCM_ComponentServer_Base.idl:
          Removed ccm_component_server_stub, the exceptions listed there are
          only used in the container. That part has to be rewritten because
          the exceptions are not in idl

Wed Dec  1 10:24:36 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver.idl:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedWriter/descriptors/Plan.cdp:
          Rewritten, using the generated executor files.

Wed Dec  1 09:20:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver.mpc:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/KeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.cpp:
          Rewritten, using the generated executor files.

Tue Nov 30 15:29:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver.idl:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/UnkeyedWriter/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/UnkeyedWriter/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/UnkeyedWriter/descriptors/USER_QOS_PROFILES.xml:
          Rewritten, using the generated executor files.
          Also fixed some bugs in this test. Besides this all there's a check on
          exit in order to check the correct number of samples received.

Tue Nov 30 09:55:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
        Implementation test.

Tue Nov 30 12:50:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver.mpc:
        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.h:
        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
          Rewritten, using the generated executor files.

Tue Nov 30 09:55:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/descriptors/Plan.cdp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Deployment/scripts/run_test.pl:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.h:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Receiver_comp/src/Hello_Receiver_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.cpp:
        * connectors/ami4ccm/tutorials/Hello/Hello_asm/Sender_comp/src/Hello_Sender_comp_exec.h:
        Implemente get_methods and generated exec's .

Tue Nov 30 09:56:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
          Removed unnecessary checks for nil pointers.

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender.mpc:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Reader/Sender/Reader_Test_Sender_exec.cpp:
          Rewritten, using the generated executor files.

Mon Nov 29 13:17:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
          Added doxygen comments.

Mon Nov 29 12:31:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ContentFilterSetting.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Resolved memory leaks regarding QueryFilter.

Mon Nov 29 11:09:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.cpp:
        * connectors/ami4ccm/tests/DelReplyH/Sender/DelReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.cpp:
        Delete pointers without checking not o.

Mon Nov 29 10:51:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Shutting down the dds4ccm connector in a thread safe and memory leak free
          manner.

Mon Nov 29 10:31:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        *bin/ciao_tests.lst:
        Add test  IDL_Test/NonTopic_Connector

Mon Nov 29 10:15:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * tests/IDL_Test/NonTopic_Connector/descriptors:
        * tests/IDL_Test/NonTopic_Connector/descriptors/DeploymentPlan.cdp:
        * tests/IDL_Test/NonTopic_Connector/descriptors/run_test.pl:
        Add deployment and run script.

Fri Nov 26 22:35:09 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * connectors/ami4ccm/examples/Hello/Sender/Hello_Sender.idl:
        * connectors/ami4ccm/examples/Hello/Base/Hello.idl:

          Changes to the #pragma directives necessary to reflect the
          recent changes in AMI4CCM reply handler generation.

Fri Nov 26 19:04:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Resolved memory leaks.

        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
          Made constructor private since this is a singleton class.

Fri Nov 26 14:10:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
          Changed forward declaration (struct instead of class).

        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
          Set listener to 0 explicitely (to be consistent with subscriber).

        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
          Added set_rti_entity method. To be consistent with other classes.

        * connectors/dds4ccm/impl/ndds/Topic.h:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
          Resolved typos.

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Layout changes.

Fri Nov 26 13:11:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.h:
        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender.mpc:
        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/ThreeComp/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/ThreeComp/Receiver/ThreeComp_Receiver_exec.cpp:
        *  connectors/ami4ccm/tests/ThreeComp/Receiver/ThreeComp_Receiver_exec.h:
        * connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master.mpc:
        * connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.cpp:
        * connectors/ami4ccm/tests/ThreeComp/Master/ThreeComp_Master_exec.h:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeCompA_conn_i.h:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeCompA_conn_i.cpp:
        Generated executors with -Gex. Solve Valgrind warning.



Fri Nov 26 10:39:30 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Removed dummy label when no dds vendor is enabled

        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.cpp:
          Removed not needed include

Fri Nov 26 10:10:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc:
        * connectors/ami4ccm/tests/UsesMulti/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc:
        * connectors/ami4ccm/tests/SimplexMulti/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.h:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMulti_Sender.mpc:
        * connectors/ami4ccm/tests/UsesMulti/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Receiver/UsesMulti_Receiver_exec.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender_exec.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSM_Sender.mpc:
        * connectors/ami4ccm/tests/SimplexMulti/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Receiver/UsesSM_Receiver_exec.h:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMultiA_conn_i.cpp:
        * connectors/ami4ccm/tests/UsesMulti/Sender/UsesMultiA_conn_i.h:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSMA_conn_i.cpp:
        * connectors/ami4ccm/tests/SimplexMulti/Sender/UsesSMA_conn_i.h:
        Generated executors with -Gex. Solve Valgrind warning.

Fri Nov 26 09:09:04 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
          Every trait, needed from DDS_TYPE, has got his own template argument.

Fri Nov 26 08:37:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Optimized logging/tracing

        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
          Every trait, needed from DDS_TYPE, has got his own template argument.

Fri Nov 26 07:42:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Base.idl:
          Added typesupport pragma's

        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.mpc:
          _T must be a template file

        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.h:
          Include cpp file here

Thu Nov 25 19:57:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Rewritten initialization and removal of the domain participant. When
          derived from (Topic)Base one can use these methods in order to use
          ones own domain participant.

Thu Nov 25 14:42:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.mpc:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.cpp:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.h:
        Add extra include. Remove empty lines.


Thu Nov 25 14:03:39 UTC 2010  Marijke Hengstmengel <mhengstmengel@remedy.nl>

        * tests/IDL_Test/NonTopic_Connector/nontopic_test.idl:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.mpc:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.idl:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.h:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.cpp:
        Changed after TAO_IDL change .


Thu Nov 25 13:52:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.h:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
          Removed DDS_TYPE from templated parameters. Replaced this with more
          appropriate parameters (if neccessary).

Thu Nov 25 10:48:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
          Changed template arguments of DDS_Write_T. Removed DDS_TYPE and added
          TYPED_WRITER, VALUE_TYPE, SEQ_VALUE_TYPE.

Thu Nov 25 10:12:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
        * connectors/dds4ccm/tests/DoubleNestedModule/Connector/DNM_Connector.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Connector/FSS_Event_Connector.idl:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Connector/FSS_State_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.idl:
        * connectors/dds4ccm/tests/TwoTopics/Connector/TwoTopics_Connector.idl:
          Removed unneeded pragma's, fixed problems

Thu Nov 25 08:59:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfoSeq.h:
          Removed unneccasary streaming operators.

Thu Nov 25 08:19:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * NEWS:
          Removed unnecessary text.

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
          Moved all helper methods from TopicBase to Base. That way, an user
          can also derive his/her classes from Base.

Wed Nov 24 15:17:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
          Rewritter init, activate, passivate and remove methods. They should
          be re-usable in the derived classes.

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
          Re-used the init, activate, passivate and remove methods from TopicBase.

Wed Nov 24 15:04:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/idl/dds4ccm_Entity.idl:
        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
          Moved DDS_Entity to its own file

Wed Nov 24 14:50:32 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl:
        * connectors/dds4ccm/idl/dds4ccm_stub.mpc:
          Compile ccm_dds.idl as part of the build

        * connectors/dds4ccm/idl/ccm_ddsC.h:
        * connectors/dds4ccm/idl/ccm_ddsS.h:
          Removed these files, now generated as part of the build

Wed Nov 24 13:59:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
          Added fixed argument for the sequence

Wed Nov 24 13:15:52 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.mpc:
          Removed some dummy labels

Wed Nov 24 09:06:35 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender_exec.h:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcess_Sender.mpc:
        * connectors/ami4ccm/tests/OneProcess/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/OneProcess/Receiver/OneProcess_Receiver.mpc:
        * connectors/ami4ccm/tests/OneProcess/Receiver/OneProcess_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/OneProcess/Receiver/OneProcess_Receiver_exec.h:
        * connectors/ami4ccm/tests/OneProcess/Base/OneProcess.mpc:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyH_Sender.mpc:
        * connectors/ami4ccm/tests/NoReplyH/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/NoReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/NoReplyH/Receiver/NoReplyH_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Receiver/NoReplyH_Receiver_exec.h:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender.mpc:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/OneReplyH/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.h:
        * connectors/ami4ccm/tests/OneReplyH/Receiver/OneReplyH_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/OneReplyH/Base/OneReplyH.idl:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcessA_conn_i.cpp:
        * connectors/ami4ccm/tests/OneProcess/Sender/OneProcessA_conn_i.h:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyHA_conn_i.cpp:
        * connectors/ami4ccm/tests/NoReplyH/Sender/NoReplyHA_conn_i.h:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyHA_conn_i.h:
        * connectors/ami4ccm/tests/OneReplyH/Sender/OneReplyHA_conn_i.cpp:
        Generated executors with -Gex. Solve Valgrind warning.



Wed Nov 24 12:51:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
          Extended test idl construct

Wed Nov 24 11:59:21 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/NonTopic_Connector/nontopic_test.idl:
          Updated connectors

Wed Nov 24 12:00:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
        * MPC/config/ndds_impl.mpb:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Resolved unresolved externals on Windows.

Wed Nov 24 11:04:46 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:

        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.mpc:

        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.mpc:

        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.mpc:

        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:

        * tests/IDL_Test/NonTopic_Connector/nontopic_test.idl:

        * tutorials/Quoter/Simple/README.html:

Wed Nov 24 10:23:39 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
          Resolved unresolved external errors on windows.

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
          Re-arranging code. Separeted the registration of the type from the
          creation of the topic. Derived classes are now able to register a type
          without creating a topic.

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          Implemented different topics (on for each shape).

Wed Nov 24 09:14:35 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        Add include for sleep function.

Wed Nov 24 09:06:35 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender.mpc:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/InterReturn/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterReturn/Receiver/InterReturnT_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterReturn/Receiver/InterReturnT_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnTA_conn_i.h:
        * connectors/ami4ccm/tests/InterReturn/Sender/InterReturnTA_conn_i.cpp:
        Generated executors with -Gex. Solve Valgrind warning.



Tue Nov 23 14:20:02 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender.idl:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          Circle listener is working now.

Tue Nov 23 14:09:35 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsT_Sender.mpc:
        * connectors/ami4ccm/tests/InterOutArgs/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/InterOutArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterOutArgs/Receiver/InterOutArgsT_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Receiver/InterOutArgsT_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsTA_conn_i.cpp:
        * connectors/ami4ccm/tests/InterOutArgs/Sender/InterOutArgsTA_conn_i.h:
        Generated executors with -Gex. Solve Valgrind warnings.


Tue Nov 23 12:15:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          The getter functionality works now. Listeners to be implemented next.

Tue Nov 23 11:23:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          Work in progress. Enabled both components again.
          Still some issues left regarding the Receiver component.

Tue Nov 23 07:14:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Layout changes

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
          Updated. Added MultiTopicConnector_T.cpp.

        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          Reorganized connections.

Mon Nov 22 15:13:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
          Prefend compilation after invoking 'make' a second time.

        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
          Rewritten some parts. Removed portstatuslistener implemetation since it
          wasn't used.

Mon Nov 22 14:38:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.mpc:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Single_Service_Common.mpc:
        * connectors/dds4ccm/examples/Large_Deployment/DDS_Pub/DDS_Pub.idl:
        * connectors/dds4ccm/examples/Large_Deployment/DDS_Sub/DDS_Sub.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service.idl:
        * connectors/dds4ccm/examples/Large_Deployment/Single_Service/Single_Service.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
          Split common.idl into two pieces: One which contains the type declaration,
          the other one contains the interface definition.

Mon Nov 22 12:52:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/DevGuideExamples/Messenger/descriptors/*:
          Some more work to get this example running again

Mon Nov 22 11:04:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
          Layout changes

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
          Moved the reading of the DDS verbose logging environment variable to
          the DomainParticipantManager.

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
          Layout changes

        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
          Added includes.

        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender.idl:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
          Implemented the writer part of the Connector.

Mon Nov 22 10:10:50 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
          Layout changes

        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
          Added typedefs for DataReader/DataWriter

        * tests/DAnCE/LocalityManager/CommandlinePassage/CommandlinePassage_exec.cpp:
          Const change

Fri Nov 19 19:13:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted introduction of TypeSupport.idl, it breaks the current modeling
        tool support, we will try to reintroduce this later in the future

        * MPC/config/dds4ccm_ts_default.mpb:
        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.mpc:
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc:
        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/performance-tests/DDSLatency/Base/Latency_Base.mpc:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSThroughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc:
        * connectors/dds4ccm/tests/CoherentUpdater/Base/CoherentUpdate_Test_Base.mpc:
        * connectors/dds4ccm/tests/CoherentWriter/Base/CoherentWrite_Test_Base.mpc:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Base/CFT_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/DDSEntity/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Derived/Derived.mpc:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.mpc:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/Event/Base/GCE_Test_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/State/Base/GCS_Test_Base.mpc:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Base/RG_LateBinding_Base.mpc:
        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Base/WU_LateBinding_Base.mpc:
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Base/Event_MemLeakDetection_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Base/State_MemLeakDetection_Test_Base.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.mpc:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc:
        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.mpc:
        * connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/Different/Base/Different_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Base/QCTQ_Test_Base.mpc:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/TopicName/Base/TopicName_Test_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc:
        * connectors/dds4ccm/tests/UserdataCopyCount/Base/UCC_Test_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.idl:
        * MPC/config/dds4ccm_ndds_ts_defaults.mpb:

Fri Nov 19 19:59:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp/Base/MultipleTemp_Base.mpc:
        Changed for new dds4ccm development.

Fri Nov 19 19:47:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/InterMulti/Sender/InterMultiA_conn_i.cpp:
        Fixed typo.

Fri Nov 19 09:54:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Typos in logging.

        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
          Made set_dds_entity private.

        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
          Properly set dds entity on the listener.

        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.cpp:
          Fully implemented DomainParticipantListener.

        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
          Passed domain pariticipant to StatusCondition.

        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Passing nil as a datareader should be fine.

Thu Nov 18 19:58:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/QueryCondition/DDS/Base/Base.idl:
        * connectors/dds4ccm/tests/QueryCondition/DDS/Base/Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/DDS/DDS_Receiver/QC_Receiver.cpp:
          Fixed compile errors, this test is plain rti dds, no need for dds4ccm
          typesupport

Thu Nov 18 19:44:26 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.idl:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.idl:
        * connectors/tests/AMIDDS/Base/AmiDds_Base.mpc:
          Fixed compile errors

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.idl:
          ShapesSeq must be with the Shapes struct

Thu Nov 18 19:30:13 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Fix problems when dds4ccm_ndds is disabled

Thu Nov 18 15:53:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender_exec.h:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMulti_Sender.mpc:
        * connectors/ami4ccm/tests/InterMulti/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/InterMulti/Receiver/InterMulti_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterMulti/Receiver/InterMulti_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMultiA_conn_i.cpp:
        * connectors/ami4ccm/tests/InterMulti/Sender/InterMultiA_conn_i.h:
        Updated test by using -Gex option and _conn_i.h/cpp file for ReplyHandler.

Thu Nov 18 14:32:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Removed unnecessary IDL command line options.

Thu Nov 18 14:22:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Resolved unresolved externals on windows.

Thu Nov 18 14:17:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Base.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
          Splitted type and connector declaration into to separate files.

Thu Nov 18 13:17:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultipleTemp:
        * connectors/dds4ccm/tests/MultipleTemp/Sender:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Sender/MultipleTemp_Sender_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MultipleTemp/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultipleTemp/Receiver/MultipleTemp_Receiver.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Connector/MultipleTemp_Connector.mpc:
        * connectors/dds4ccm/tests/MultipleTemp/Base:
        * connectors/dds4ccm/tests/MultipleTemp/Base/MultipleTemp_Base.idl:
        * connectors/dds4ccm/tests/MultipleTemp/Base/MultipleTemp_Base.mpc:
       Test for multiple templates.

Thu Nov 18 12:55:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ndds_ts_defaults.mpb:
        * MPC/config/dds4ccm_ts_default.mpb:
        * connectors/dds4ccm/examples/Hello/Base/Hello_Base.mpc:
        * connectors/dds4ccm/examples/Large_Deployment/Common/Common.mpc:
        * connectors/dds4ccm/examples/Quoter/Base/Quoter_Base.mpc:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.idl:
        * connectors/dds4ccm/examples/Shapes/Base/Shapes_Base.mpc:
        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/performance-tests/DDSLatency/Base/Latency_Base.mpc:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSThroughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/performance-tests/Keyed/Base/Perf_Keyed_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Latency/Base/LatencyTT_Test_Base.mpc:
        * connectors/dds4ccm/performance-tests/Throughput/Base/Throughput_Base.mpc:
        * connectors/dds4ccm/tests/CSLDeadline/Base/CSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLQoS/Base/CSL_QoSTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLSampleRejected/Base/CSL_SRTest_Base.mpc:
        * connectors/dds4ccm/tests/CSLUnexpStat/Base/CSL_USTest_Base.mpc:
        * connectors/dds4ccm/tests/CoherentUpdater/Base/CoherentUpdate_Test_Base.mpc:
        * connectors/dds4ccm/tests/CoherentWriter/Base/CoherentWrite_Test_Base.mpc:
        * connectors/dds4ccm/tests/ConnectorFilesInDiffDir/DiffDir.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/CFTNamesClash/Base/CFT_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/EventListener/Base/CFTLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/Exception/Base/Exception_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/StateListener/Base/CFTLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/DDSEntity/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Derived/Derived.mpc:
        * connectors/dds4ccm/tests/Derived/Derived_Connector.idl:
        * connectors/dds4ccm/tests/DoubleNestedModule/Base/DNM_Base.mpc:
        * connectors/dds4ccm/tests/Event_Connection_Test/Base/Event_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/EventConnector/Base/FSS_Event_Base.mpc:
        * connectors/dds4ccm/tests/FixedSizeStruct/StateConnector/Base/FSS_State_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/Event/Base/GCE_Test_Base.mpc:
        * connectors/dds4ccm/tests/GetComponent/State/Base/GCS_Test_Base.mpc:
        * connectors/dds4ccm/tests/Getter/Base/Getter_Test_Base.mpc:
        * connectors/dds4ccm/tests/InstanceHandle/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/KeyedSamples/Base/Keyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/KeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Base/RG_LateBinding_Base.mpc:
        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Base/WU_LateBinding_Base.mpc:
        * connectors/dds4ccm/tests/ListenManyByMany/Base/LMBM_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenNotEnabled/Base/LNE_Test_Base.mpc:
        * connectors/dds4ccm/tests/ListenOneByOne/Base/LOBO_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/Event_MemLeakDetection_Test/Base/Event_MemLeakDetection_Test_Base.mpc:
        * connectors/dds4ccm/tests/MemLeakDetection/State_MemLeakDetection_Test/Base/State_MemLeakDetection_Test_Base.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/NoModule/NoModule.mpc:
        * connectors/dds4ccm/tests/NonChangeableAttribute/Base/NonChangeable_Base.mpc:
        * connectors/dds4ccm/tests/On_Inconsistent_Topic/Base/OIT_Test_Base.mpc:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.idl:
        * connectors/dds4ccm/tests/OneFile/Multiple/OFM_Connector.mpc:
        * connectors/dds4ccm/tests/OneFile/Single/OneFile_Connector.mpc:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.mpc:
        * connectors/dds4ccm/tests/PSLDeadline/Base/PSL_DeadlineTest_Base.mpc:
        * connectors/dds4ccm/tests/PSLSampleLost/Base/PSL_SampleLost_Base.mpc:
        * connectors/dds4ccm/tests/PortUsage/Base/PortUsage_Test_Base.mpc:
        * connectors/dds4ccm/tests/QosProfile/Base/QosProfile_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/DDS/Base/Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/Different/Base/Different_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/EventListener/Base/QCLE_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Base/ReadGet_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/StateListener/Base/QCLS_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoListeners/Base/QCTL_Test_Base.mpc:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Base/QCTQ_Test_Base.mpc:
        * connectors/dds4ccm/tests/Reader/Base/Reader_Test_Base.mpc:
        * connectors/dds4ccm/tests/SLDisabled/Base/SL_Disabled_Base.mpc:
        * connectors/dds4ccm/tests/SLManyByMany/Base/SL_ManyByMany_Base.mpc:
        * connectors/dds4ccm/tests/SLOneByOne/Base/SL_OneByOne_Base.mpc:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Base/SetConnectorAttribute_Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Base/Base.mpc:
        * connectors/dds4ccm/tests/State_Connection_Test/Base/State_Connection_Test_Base.mpc:
        * connectors/dds4ccm/tests/TopicName/Base/TopicName_Test_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopics/Base/TwoTopics_Base.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Goodbye/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/TwoTopicsDifferentNs/Hello/HelloGoodbye.mpc:
        * connectors/dds4ccm/tests/UnkeyedSamples/Base/Unkeyed_Test_Base.mpc:
        * connectors/dds4ccm/tests/UnkeyedWriter/Base/Writer_Base.mpc:
        * connectors/dds4ccm/tests/Updater/Base/Updater_Base.mpc:
        * connectors/dds4ccm/tests/UserdataCopyCount/Base/UCC_Test_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsEvent/Base/VTopic_Base.mpc:
        * connectors/dds4ccm/tests/VariousTopicsState/Base/VTopics_Base.mpc:
          Generate TypeSupport.idl and use that

        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Deployment/descriptors/Plan.cdp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Sender_comp/src/Shapes_Sender_comp_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_Control_obj.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_msg.mpc:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_defn.idl:
          Use global namespace for everything

Thu Nov 18 12:46:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver.mpc:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Sender/ReadGet_Test_Sender_exec.cpp:
          Re-implemented test using the -Gexr option on the TAO IDL compiler.

Thu Nov 18 09:11:58 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver.mpc:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Receiver/CSL_SRTest_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.h:
        * connectors/dds4ccm/tests/CSLSampleRejected/Sender/CSL_SRTest_Sender_exec.cpp:
          Re-implemented test using the -Gexr option on the TAO IDL compiler

Thu Nov 18 08:50:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender.idl:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeComp.mpc:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeComp.idl:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeComp_no_ami.idl:
        Add no ami4ccm interface in separate idl file.

Thu Nov 18 08:15:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
       Fixed typo.

Thu Nov 18 07:42:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.h:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
          Swapped template arguments. First CCM_TYPE and than DDS_TYPE.

Wed Nov 17 13:35:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.cpp:
          Resolved some valgrind errors.

Wed Nov 17 13:04:52 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Store the publisher and subscriber as class members in the DataWriter
          and DataReader.

Wed Nov 17 12:48:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * MPC/config/dds4ccm_ts_default.mpb:
          Disable all projects derived from this when no dds vendor is enabled

Wed Nov 17 11:15:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
          Resolved runtime casting errors.

Wed Nov 17 11:04:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/tests/AMIDDS/Base/AmiDds_Base.idl:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender.mpc:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionT_Sender_exec.h:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionTA_conn_i.cpp:
        * connectors/ami4ccm/tests/Exceptions/Sender/ExceptionTA_conn_ih:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsTA_conn_icpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsTA_conn_ih:
        * connectors/ami4ccm/tests/DelRplyH/Sender/DelRplyHA_conn_i.cpp:
        * connectors/ami4ccm/tests/DelRplyH/Sender/DelRplyHA_conn_i.h:
        * connectors/ami4ccm/tests/GetComp/Sender/GetCompA_conn_i.cpp:
        * connectors/ami4ccm/tests/GetComp/Sender/GetCompA_conn_i.h:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutTA_conn_i.h:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutTA_conn_i.cpp:
        * connectors/ami4ccm/tests/Exceptions/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/Exceptions/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/Exceptions/Receiver/ExceptionT_Receiver_exec.h:
        * connectors/ami4ccm/tests/Exceptions/Receiver/ExceptionT_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender.mpc:
        * connectors/ami4ccm/tests/InterInArgs/Sender/InterInArgsT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/InterInArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterInArgs/Receiver/InterInArgsT_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterInArgs/Receiver/InterInArgsT_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterInArgs/Base/InterInArgsT.idl:
        * connectors/ami4ccm/tests/DelRplyH/Sender/DelRplyH_Sender_exec.h:
        * connectors/ami4ccm/tests/DelRplyH/Sender/DelRplyH_Sender.mpc:
        * connectors/ami4ccm/tests/DelRplyH/Sender/DelRplyH_Sender_exec.cpp:
        * connectors/ami4ccm/tests/DelRplyH/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/DelRplyH/Receiver/DelRplyH_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/DelRplyH/Receiver/DelRplyH_Receiver_exec.h:
        * connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.cpp:
        * connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender_exec.h:
        * connectors/ami4ccm/tests/GetComp/Sender/GetComp_Sender.mpc:
        * connectors/ami4ccm/tests/GetComp/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/GetComp/Receiver/GetComp_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/GetComp/Receiver/GetComp_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender.mpc:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.cpp:
        * connectors/ami4ccm/tests/InterInOutArgs/Sender/InterInOutT_Sender_exec.h:
        * connectors/ami4ccm/tests/InterInOutArgs/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/InterInOutArgs/descriptors/run_test.pl:
        * connectors/ami4ccm/tests/InterInOutArgs/Receiver/InterInOutT_Receiver_exec.h:
        * connectors/ami4ccm/tests/InterInOutArgs/Receiver/InterInOutT_Receiver_exec.cpp:
        * connectors/ami4ccm/tests/InterInOutArgs/Base/InterInOutT.idl:
        Updated tests by using -Gex option and _conn_i.h/cpp file for ReplyHandler.
        Solved valgrind errors.

Wed Nov 17 11:05:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
          Enabled return_loan again.

        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
          Resolved runtime memory problems.

        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
          Layout change.

Wed Nov 17 10:23:20 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
          Resolved compile error.

Wed Nov 17 10:14:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Writer_T.cpp:
          Throwing an internal error when the publisher on the
          DataWriter seems to be NIL. If nil, write_many will block and no info
          is returned to the user.

        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
          Implemented 'get_publisher' method.
          Added DDS4CCM_TRACE info to every method.

Wed Nov 17 09:26:42 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/ThreeComp/Sender/ThreeComp_Sender.idl:
        * connectors/ami4ccm/tests/ThreeComp/Base/ThreeComp.idl:
        Add no ami4ccm interface.

Wed Nov 17 09:24:42 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Resolved test errors regarding read_w_condition.

Wed Nov 17 09:12:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
          Improved logging

        * connectors/dds4ccm/impl/Reader_T.cpp:
          Layout change.

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Resolved test errors regarding take_w_condition.

Wed Nov 17 08:23:30 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
          Resolved test errors.

Wed Nov 17 08:14:42 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
          Optimized logging parameters.

        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Resolved test errors.

Tue Nov 16 15:28:12 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.h:
        * connectors/dds4ccm/tests/Getter/Receiver/Getter_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.h:
        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
          Resolved some memory leaks.Therefor created the executor code by
          using -Gexr on the TAO IDL compiler.

Tue Nov 16 14:26:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Resolved shutdown issues in some of the tests.

        * connectors/dds4ccm/tests/Getter/Sender/Getter_Test_Sender_exec.cpp:
          Resolved memory leak.

Tue Nov 16 11:21:24 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.h:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Receiver_comp/src/Shapes_Receiver_comp_exec.cpp:
        * connectors/tests/AMIDDS/Base/AmiDds_DDS.idl:
        * connectors/tests/AMIDDS/Receiver/AmiDds_Receiver_exec.cpp:
        * connectors/tests/AMIDDS/Sender/AmiDds_Sender_exec.cpp:
          Layout changes.

        * connectors/dds4ccm/tutorials/Shapes/Tutorial/Code/Shapes_Receiver_comp/Shapes_Receiver_comp_exec.h:
          Resolved compile error.

Mon Nov 15 18:27:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/PSAT/ccm_dds_psat.idl:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/ports/Shapes_ShapeType_conn.idl:
          Fixes to get head compiling without errors

Mon Nov 15 18:13:47 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Updater_T.cpp:
          Use ::DDS:: instead of DDS_.

Mon Nov 15 15:39:45 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Updater_T.cpp:
          Use ::DDS:: instead of DDS_.

        * connectors/dds4ccm/tests/Policies/main.cpp:
        * connectors/dds4ccm/tests/Policies/policies.mpc:
        * connectors/dds4ccm/tests/Policies/states_test.h:
        * connectors/dds4ccm/tests/Policies/states_test.cpp:
          Added test which explicitely tests whether all DDS4CCM states
          (view, sample, and, instance states) are equal to the RTI states.

Mon Nov 15 14:59:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Reader_T.cpp:
          Typo.

Mon Nov 15 14:09:24 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
          Fixed incorrect logging

Mon Nov 15 13:40:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/PortStatusListener.cpp:
          Fixed incorrect log format specifiers

Mon Nov 15 13:12:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.h:
        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Moved implementation of check_handle.

Mon Nov 15 12:45:07 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Fixed memory leak and shutdown crashes

Mon Nov 15 12:08:19 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/PublisherListener.cpp:
        * connectors/dds4ccm/impl/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/Utils.h:
          Print QoSPolicyId_t as readable string

Mon Nov 15 11:36:18 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
          Removed ndds include

        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
          Added missing virtual destructor

Mon Nov 15 11:33:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
          Listening was based on whether the user had a PortStatusListener
          configured (and implemented). Now listening is based on the internal
          listener.

Mon Nov 15 11:11:58 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/PublisherListener.h:
        * connectors/dds4ccm/impl/PublisherListener.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          PublisherListener is now a C++ class instead of a template

        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/PublisherListener_T.cpp:
          Removed these files.

Mon Nov 15 11:12:22 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
          Initialize listening mask to 0.

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          No need to re-assign instance state mask, view state mask and
          sample mask since they're all unsigned longs.

        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
          don't close down typesupport for now.

Mon Nov 15 11:00:15 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tests/IDL_Test/NonTopic_Connector:
        * tests/IDL_Test/NonTopic_Connector/nontopic_test.idl:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.mpc:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Base.idl:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector.idl:
        * tests/IDL_Test/NonTopic_Connector/NonTopic_Connector_T.h:
         Added  test.

Mon Nov 15 10:41:39 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/PortStatusListener.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/TopicListener.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
          No need to initialize a cstring

Mon Nov 15 08:45:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
          Use ::DDS::xxx instead of DDS_xxx for the states.

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Don't use the convertors when converting states. Just use '='.

Sat Nov 13 14:24:54 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
          Updated for ccm trait changes

Sat Nov 13 14:04:37 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.h:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Updated for ccm trait changes

Sat Nov 13 09:18:33 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/LocalObject.h:
        * connectors/dds4ccm/tests/Derived/DDS_Derived_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/PSAT/DDS_PSAT_Connector_T.h:
          Fixed compile errors

Fri Nov 12 19:47:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
          Resolved BAD_INV_ORDER problem.

Fri Nov 12 19:28:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Removed debug statement.

Fri Nov 12 19:06:33 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
          Removed ACE_DEBUG statement.

Fri Nov 12 18:45:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Made implementation of the DataReader about the same as the
          DataWriter.

Fri Nov 12 15:39:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/DataListenerControl_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/PortStatusListener.h:
        * connectors/dds4ccm/impl/PortStatusListener.cpp:
        * connectors/dds4ccm/impl/StateListenerControl_T.h:
        * connectors/dds4ccm/impl/StateListenerControl_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener.h:
        * connectors/dds4ccm/impl/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/TopicListener.h:
        * connectors/dds4ccm/impl/TopicListener.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.h:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
          Converted several C++ templates to regular classes

Fri Nov 12 14:42:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
          Fixed topy

        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
          Log return value of take and only have one exit point

        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
          Fixed logging

        * connectors/dds4ccm/impl/StateListenerControl_T.cpp:
          Just set the bool

Fri Nov 12 13:46:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Reader_T.cpp:
          Layout changes and member initialization.

Fri Nov 12 13:28:01 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
          Removed DataWriterListener and DomainParticipantListener, they
          where not doing anything, but where initially added in case we really
          needed them

        * connectors/dds4ccm/impl/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.cpp:
          Removed these files.

Fri Nov 12 13:11:32 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
          Replaced rti specific checks

Fri Nov 12 12:55:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Typos.

        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
          Using the typed IDL datareader as entity

Fri Nov 12 12:46:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager.h:
        * connectors/dds4ccm/impl/ConditionManager.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Removed unused template from ConditionManager.

        * connectors/dds4ccm/tests/KeyedSamples/Receiver/Keyed_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/KeyedSamples/descriptors/Plan.cdp:
          Bailing out when unexpected samples were received.

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
          Removed these files.

Fri Nov 12 12:37:02 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
          Simplified set_component

Fri Nov 12 12:22:40 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DataListenerControl_T.h:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/LocalObject.h:
        * connectors/dds4ccm/impl/LocalObject.cpp:
        * connectors/dds4ccm/impl/LocalObject_T.h:
        * connectors/dds4ccm/impl/LocalObject_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Simplified dds4ccm localobject and give updater/writer templates on
          the things they need, not the full dds/ccm traits

Fri Nov 12 11:47:00 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
          Fixed missing xerces dependency.

        * tools/IDL3_to_XMI/identifier_helper.cpp:
          Fixed formatting.

Fri Nov 12 10:58:55 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.h:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderHandler_T.h:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.h:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.h:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/PortStatusListener_T.h:
        * connectors/dds4ccm/impl/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.h:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Removed unnecessary template parameter.

Fri Nov 12 09:41:41 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Got rid of (almost) all usage of DDS_xxx. Using
          ::DDS::xx instead.

        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Removed all non-idl methods and moved them to the appropriate
          classes.

        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
          Converting ::DDS::SampleInfo instead of DDS_SampleInfo.

Fri Nov 12 08:29:09 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL_Test/Cornucopia/Cornucopia.idl:
          Added new test case with multiple templated modules with alias and
          typedefs. Jeff Parsons fixed a problem in the idl compiler when using
          this kind of constructs yesterday, added now an explicit test

Thu Nov 11 19:25:56 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
          Fixed export macro

Thu Nov 11 19:17:20 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
          Implemented this file

Thu Nov 11 18:33:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/Condition.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Removed ccm knowledge from ndds wrapper

Thu Nov 11 15:58:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/TypeSupport.h:
        * connectors/dds4ccm/impl/ndds/TypeSupport.cpp:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:
          Added own typesupport and use that through the code

Thu Nov 11 14:42:03 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.cpp:
        Add include for sleep function .

Thu Nov 11 10:56:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Resolved runtime issues in Getter functionality.

Thu Nov 11 10:34:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
          Resolved compile issues.

Thu Nov 11 10:28:43 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Initialize pointer to nil. Added log message when
          BAD_INV_ORDER is thrown.

        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Bailing out when key name is empty

Thu Nov 11 10:23:06 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        Add missing project.

Thu Nov 11 10:22:29 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
          Bailing out rather sooner than later. Output of this test was very large.

Thu Nov 11 09:54:07 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * MPC/config/taoidl3toxmidefaults.mpb:
          Make this base project to inherit from xerces. So that projects
          that need tao_idl3_to_xmi will not build if xerces is not present
          since tao_idl3_to_xmi is dependent on xerces.

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
        * tests/IDL3_to_XMI/Forward_Declared/Forward_Declared.mpc:
          Cleaned a bit these files.

Thu Nov 11 09:52:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
          Fuzz.

        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Implemented the IDL representation of the ::DDS::DataReader.
          First step in cleaning this DataReader.

        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfoSeq.h:
          Converting DDS::SampleInfoSeq to DDS_SampleInfoSeq and
          DDS::SampleInfo to DDS_SampleInfo.

Wed Nov 10 19:52:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
          Use some typedefs to hide the internal templated module for our
          users

Wed Nov 10 19:10:59 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
          Changed templated module for dds entities

Wed Nov 10 14:45:14 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * MPC/config/taoidl3toxmidefaults.mpb:
          Fixed MPC problem from my previos commit.

Wed Nov 10 14:17:36 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
          Introduced a dds4ccm type specific datareader/datawriter. This will
          be used within dds4ccm instead of the vendor specific type specific
          reader/writer. The writer works, but the reader has to be finished,
          several no_implement methods are added.

Wed Nov 10 14:14:37 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
          Renamed get_impl to get_dds_entity and set_impl to set_dds_entity.

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
          Resolved test issues

Wed Nov 10 12:40:32 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.h:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Utils.h:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/convertors/InstanceHandle_t.h:
          Portability changes

Wed Nov 10 11:46:39 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * tests/IDL3/ImpliedIDL/All/raw_include.idl:
          Corrected use of deprecated bounded wide string.

Wed Nov 10 11:21:03 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Receiver/AsynchT_Receiver_exec.cpp:

        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchTA_conn_i.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchTA_conn_i.cpp:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender.mpc:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:

        * connectors/ami4ccm/tests/AsynchT/descriptors/Plan.cdp:
        * connectors/ami4ccm/tests/AsynchT/descriptors/run_test.pl:
        Updated test by using -Gex option and _conn_i.h/cpp file for ReplyHandler.
        Solved valgrind errors.

Wed Nov 10 11:07:18 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
          Changed interfaces of get_readcondition and get_querycondition_xxx.
          Now a ::DDS::Read/QueryCondition is returned.

        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Because of interface changes in ConditionManager.

Wed Nov 10 10:26:40 UTC 2010  Vladimir Zykov  <vladimir.zykov@prismtech.com>

        * rules.ciao.GNU:
        * MPC/config/taoidl3toxmidefaults.mpb:
          Added a base project that will make it easier to use tao_idl3_to_xmi
          tool in MPC.

        * tools/IDL3_to_XMI/IDL3_TO_XMI.mpc:
          tao_idl3_to_xmi has nothing to do with DAnCE. So corrected its MPC
          to output binary to $CIAO_ROOT/bin and renamed other things to make
          it part of CIAO.

        * tests/IDL3_to_XMI/Forward_Declared/c_nok.idl:
        * tests/IDL3_to_XMI/Forward_Declared/Forward_Declared.mpc:
        * tests/IDL3_to_XMI/Forward_Declared/c_ok.idl:
        * tests/IDL3_to_XMI/Forward_Declared/a.idl:
        * tests/IDL3_to_XMI/Forward_Declared/b.idl:
        * tests/IDL3_to_XMI/Forward_Declared/README:
          Added a new test.

        * tests/IDL3_to_XMI/XMI_For_Module_Reopen/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Array/run_test.pl:
        * tests/IDL3_to_XMI/IDL2XMI_Test/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Included_File/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Native/run_test.pl:
        * tests/IDL3_to_XMI/XMI_For_Sequence/run_test.pl:
        * tests/IDL3_to_XMI/Bug_3607_Regression/run_test.pl:
          Corrected path to tao_idl3_to_xmi binary.

Wed Nov 10 09:57:24 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Moved check_handle method to DataReader_T.cpp/h.

Wed Nov 10 09:49:51 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
          Changed interfaces of several methods to use ::DDS::xxx instead of
          DDS_xxx.

        * connectors/dds4ccm/tests/CoherentUpdater/Receiver/CoherentUpdate_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/CoherentWriter/Receiver/CoherentWrite_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/ContentFilteredTopic/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/Different/Receiver/Different_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/ReadGet/Receiver/ReadGet_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/QueryCondition/TwoQueries/Receiver/QCTQ_Test_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/Reader/Receiver/Reader_Test_Receiver_exec.cpp:
          Improved exception handling during "check_last".

Wed Nov 10 08:28:57 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
          Improved logging.

        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Resolved issue regarding detach_condition.

Tue Nov  9 19:40:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
          Resolved bugs in listener callbacks.

        * connectors/dds4ccm/impl/logger/Logger_Service.cpp:
          Enable trace when environment variable is set.

Tue Nov  9 15:07:13 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/ndds/Condition.h:
        * connectors/dds4ccm/impl/ndds/Condition.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
          Layout changes.

Tue Nov  9 14:16:11 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/Condition.h:
        * connectors/dds4ccm/impl/ndds/Condition.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.h:
        * connectors/dds4ccm/impl/ndds/WaitSet.cpp:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:
          Created Waitset and Condition proxies. The underlying code
          (ConditionManager_T and Getter_T) was therefor changed.

Tue Nov  9 13:33:48 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
          Fixed runtime problem with the datareader listener

Tue Nov  9 12:49:11 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tutorials/Shapes/Shapes_asm/Shapes_Control_comp/src/Shapes_Control_comp_exec.h:
          Fixed compile errors due to rename actions

Tue Nov  9 09:12:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
          Removed DDS_Typed templated module alias, shouldn't been committed
          yesterday

Mon Nov  8 19:25:53 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        Major refactoring of the dds4ccm library and the rti wrapping code

        * connectors/dds4ccm/idl/ccm_dds.idl:

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.h:
        * connectors/dds4ccm/impl/ndds/DataReaderListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.h:
        * connectors/dds4ccm/impl/ndds/DataWriterListener.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher.h:
        * connectors/dds4ccm/impl/ndds/Publisher.cpp:
        * connectors/dds4ccm/impl/ndds/PublisherListener.h:
        * connectors/dds4ccm/impl/ndds/PublisherListener.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition.cpp:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber.h:
        * connectors/dds4ccm/impl/ndds/Subscriber.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener.cpp:
        * connectors/dds4ccm/impl/ndds/Topic.h:
        * connectors/dds4ccm/impl/ndds/Topic.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription.cpp:
        * connectors/dds4ccm/impl/ndds/TopicListener.h:
        * connectors/dds4ccm/impl/ndds/TopicListener.cpp:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.h:
        * connectors/dds4ccm/impl/ndds/Topic_T.cpp:

Mon Nov  8 16:11:06 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.h:
        * connectors/ami4ccm/tests/AsynchT/Sender/AsynchT_Sender_exec.cpp:
        Fuzz errors.

Mon Nov  8 14:40:06 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * connectors/dds4ccm/tests/MultiTopic:
        * connectors/dds4ccm/tests/MultiTopic/Sender:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender.idl:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Sender/MultiTopic_Sender_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/Plan.cdp:
        * connectors/dds4ccm/tests/MultiTopic/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver.idl:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver_exec.h:
        * connectors/dds4ccm/tests/MultiTopic/Receiver/MultiTopic_Receiver.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Connector/ccm_dds_mt.idl:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector.idl:
        * connectors/dds4ccm/tests/MultiTopic/Connector/MultiTopic_Connector_T.h:
        * connectors/dds4ccm/tests/MultiTopic/Base:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.mpc:
        * connectors/dds4ccm/tests/MultiTopic/Base/MultiTopic_Base.idl:
        First frame for Multi Topic test.

Fri Nov  5 19:09:06 UTC 2010  Martin Corino  <mcorino@remedy.nl>

        * ciao/Containers/Session/Session_Container.cpp:
          Fixed some incorrect logging messages.

Fri Nov  5 15:42:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Getter_T.cpp:
          Removed usage of ACE_ERROR macro.

Fri Nov  5 13:56:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.h:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
          Rewritten interface of conditionmanager.

Fri Nov  5 11:25:35 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/ccm_dds.idl:
        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
          First step in adding a type factory with methods for creating the
          type specific reader/writer

Thu Nov  4 16:14:25 UTC 2010  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL_Test/Cornucopia/Cornucopia.idl:

          Added IDL from [BUGID:3924], now fixed.

Thu Nov  4 15:43:04 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
          Fixed runtime errors

Thu Nov  4 15:30:03 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.cpp:
          Refactoring of dds4ccm writer/updater

Wed Nov  3 19:07:32 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.h:
        * connectors/dds4ccm/impl/DDS_Listen_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.h:
          Includes cleanup

Wed Nov  3 13:26:34 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/idl/dds_rtf2_dcps.idl:
          Added type specific datareader/datawriter interfaces using IDL3+

Wed Nov  3 12:52:51 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ccm/ComponentServer/CCM_ComponentServer.mpc:
        * ccm/ComponentServer/CCM_ComponentServer_Base.idl:
        * MPC/config/ccm_componentserver_svnt.mpb:
        * ccm/ComponentServer/CCM_ComponentServer.idl:
        * ccm/ComponentServer/CCM_ComponentServer_Client.idl:
          Cleanup of old stuff

Wed Nov  3 12:10:28 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
          Implemented several methods

        * connectors/dds4ccm/impl/opendds:
        * connectors/dds4ccm/impl/splice:
          Removed these files.

Wed Nov  3 11:02:38 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
          Fixed fuzz

Wed Nov  3 09:24:05 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
          Fixed compile errors

Tue Nov  2 19:55:15 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
          Reorganized code.

Tue Nov  2 15:13:21 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
          Resolved link issues on Windows.

        * connectors/dds4ccm/impl/CCM_DataReader.h:
        * connectors/dds4ccm/impl/CCM_DataReader.cpp:
        * connectors/dds4ccm/impl/CCM_DataWriter.h:
        * connectors/dds4ccm/impl/CCM_DataWriter.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
          Implemented an extra CCM proxy.

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
          Due to extra proxy.

Tue Nov  2 13:37:44 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Deployment/Interceptors/Name_Utilities.cpp:
          Fixed memory leak

        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Receiver/Latency_Receiver.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/Latency_Sender.cpp:
        * connectors/dds4ccm/performance-tests/DDSLatency/DDS_Sender/NDDS_Latency_Sender.cpp:
          Fixed misuage of tokenizer

        * examples/DevGuideExamples/Messenger/descriptors/Application-flattened.cdp:
        * examples/DevGuideExamples/Messenger/descriptors/run_test.pl:
          Started to fix this example

Tue Nov  2 09:24:16 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * tutorials/Quoter/Simple/03.html:
        * tutorials/Quoter/Simple/04.html:
        * examples/Hello/step-by-step.html:
        Changed documentation about NodeManager.dat files into NodeManager.cdd files.

Tue Nov  2 07:46:38 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_logger.mpb:
          Added base projects

        * connectors/dds4ccm/impl/logger/Logger_Service.h:
          Layout changes

        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
          Removed unnecessary defines.

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
          Resolved runtime issues.

Mon Nov  1 14:09:29 UTC 2010  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Hello/descriptors/Aliased_Map.cdd:
        * examples/Hello/descriptors/run_test_alias.pl:
          Removed these files, don't work at all

Mon Nov  1 13:25:01 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/logger/Logger_Service.h:
        * connectors/dds4ccm/impl/logger/Logger_Service.cpp:
          Resolved compile issues on windows.

Mon Nov  1 13:11:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_logger.mpb:

        * connectors/dds4ccm/impl/ContentFilterSetting.cpp:
        * connectors/dds4ccm/impl/DDSCallbackStatusHandler.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_Read_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderHandler_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/PortStatusListener_T.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:

        * connectors/dds4ccm/impl/logger/DDS4CCM_Logger_Export.h:
        * connectors/dds4ccm/impl/logger/Log_Macros.h:
        * connectors/dds4ccm/impl/logger/Log_Macros.cpp:
        * connectors/dds4ccm/impl/logger/Logger_Service.h:
        * connectors/dds4ccm/impl/logger/Logger_Service.cpp:
        * connectors/dds4ccm/impl/logger/dds4ccm_logger.mpc:

        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.cpp:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:

        * connectors/dds4ccm/impl/Log_Macros.h:
        * connectors/dds4ccm/impl/Log_Macros.cpp:
          Added a logger library for the DDS4CCM connector.

Mon Nov  1 11:58:16 UTC 2010  Marijke Hengstmengel  <mhengstmengelt@remedy.nl>

        * tests/Bug_2130_Regression/descriptors/TestNodeManagerMap.cdd:
        * tests/Bug_3834_Regression/descriptors/NodeMap.cdd:
        * tests/DAnCE/Progressive_Deployments/NodeManagerMap.cdd:
        * examples/Hello/descriptors/Aliased_Map.cdd:
        * examples/Hello/descriptors/NodeManagerMap.cdd:
        * examples/Hello/descriptors/NodeMap.cdd:
        * examples/BasicSP/descriptors/BasicSP.cdd:
        * examples/Display/descriptors/NodeManagerMap.cdd:
        * examples/DevGuideExamples/Messenger/descriptors/ApplicationNodeMap.cdd:
        * examples/Null_Component/descriptors/NodeMap.cdd:
        * tests/Bug_2130_Regression/descriptors/run_test.pl:
        * tests/Bug_3834_Regression/descriptors/run_test_without_ns.pl:
        * tests/DAnCE/Progressive_Deployments/run_test.pl:
        * connectors/dds4ccm/examples/Large_Deployment/descriptors/run_test.pl:
        * examples/Hello/descriptors/run_test_alias.pl:
        * examples/Hello/descriptors/run_test_shs.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_SameProcess.pl:
        * examples/Hello/descriptors/run_test_without_ns.pl:
        * examples/Hello/descriptors/run_test_PlanLocality_DifferentProcesses.pl:
        * examples/Hello/descriptors/run_test.pl:
        * examples/BasicSP/descriptors/run_test.pl:
        * examples/Display/descriptors/run_test_without_ns.pl:
        * examples/DevGuideExamples/Messenger/descriptors/run_test.pl:
        * examples/Null_Component/descriptors/run_test_without_ns.pl:
        Use of *.cdd files i.o. *.dat files.

        * tests/Bug_2130_Regression/descriptors/TestNodeManagerMap.dat:
        * tests/Bug_3834_Regression/descriptors/NodeMap.dat:
        * tests/Bug_3769_Regression/descriptors/NodeMap.dat:
        * tests/DAnCE/Progressive_Deployments/NodeManagerMap.dat:
        * connectors/dds4ccm/examples/Large_Deployment/descriptors/NodeManagerMap.dat:
        * examples/Hello/descriptors/NodeManagerMap.dat:
        * examples/Hello/descriptors/NodeMap.dat:
        * examples/Hello/descriptors/Aliased_Map.dat:
        * examples/Display/descriptors/NodeManagerMap.dat:
        * examples/DevGuideExamples/Messenger/descriptors/ApplicationNodeMap.dat:
        * examples/Null_Component/descriptors/NodeMap.dat:
        Remove datfile NodeManager



Mon Nov  1 11:48:16 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/ndds.mpc:
          Temporary added Log_Macros. This will be changed into a separate
          logging library for dds4ccm.

Mon Nov  1 11:45:17 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
          Corrected export and singleton macros.

Mon Nov  1 11:40:54 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
          Corrected include file.

Mon Nov  1 11:15:34 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ndds/Coherent_Changes_Guard.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds_export.h:
        * connectors/dds4ccm/impl/ndds/ndds.mpc:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.cpp:
        * connectors/dds4ccm/impl/DomainParticipantManager.h:
        * connectors/dds4ccm/impl/DomainParticipantManager.cpp:
        * connectors/dds4ccm/impl/ndds/dds4ccm_dds_ndds_export.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds.mpc:
          Continued with the rename and move actions.

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.h:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
          Create two handlers in order to handle read and get separately.

Sun Oct 31 08:49:23 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
          Fixed compile errors due to rename and move actions.

Sat Oct 30 07:13:27 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/DDSEntity/Receiver/Writer_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.h:
        * connectors/dds4ccm/tests/DDSEntity/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/InstanceHandle/Sender/Writer_Sender_exec.cpp:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.h:
        * connectors/dds4ccm/tests/SetConnectorAttributes/Component/SetConnectorAttribute_Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/DifferentDatatype/Component/Component_exec.cpp:
        * connectors/dds4ccm/tests/SharedDomainParticipant/SameDatatype/Component/Component_exec.cpp:
          Fixed compile errors due to rename and move actions.

Sat Oct 30 07:07:44 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/Policies/deadline_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dest_order_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dp_factory_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dp_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dr_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dur_qos_test.h:
        * connectors/dds4ccm/tests/Policies/dur_service_qos_test.h:
        * connectors/dds4ccm/tests/Policies/duration.h:
        * connectors/dds4ccm/tests/Policies/dw_qos_test.h:
        * connectors/dds4ccm/tests/Policies/entity_factory_qos_test.h:
        * connectors/dds4ccm/tests/Policies/group_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/hist_qos_test.h:
        * connectors/dds4ccm/tests/Policies/lat_budget_qos_test.h:
        * connectors/dds4ccm/tests/Policies/lifespan_qos_test.h:
        * connectors/dds4ccm/tests/Policies/liveliness_qos_test.h:
        * connectors/dds4ccm/tests/Policies/octet_seq.h:
        * connectors/dds4ccm/tests/Policies/ownership_qos_test.h:
        * connectors/dds4ccm/tests/Policies/ownership_strength_qos_test.h:
        * connectors/dds4ccm/tests/Policies/partition_qos_test.h:
        * connectors/dds4ccm/tests/Policies/presentation_qos_test.h:
        * connectors/dds4ccm/tests/Policies/pub_qos_test.h:
        * connectors/dds4ccm/tests/Policies/rd_lifecycle_qos_test.h:
        * connectors/dds4ccm/tests/Policies/reliability_qos_test.h:
        * connectors/dds4ccm/tests/Policies/resource_limits_qos_test.h:
        * connectors/dds4ccm/tests/Policies/sub_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tbf_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tp_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/tp_qos_test.h:
        * connectors/dds4ccm/tests/Policies/transport_prio_qos_test.h:
        * connectors/dds4ccm/tests/Policies/user_data_qos_test.h:
        * connectors/dds4ccm/tests/Policies/wr_lifecycle_qos_test.h:
          Fixed compile errors due to directory change.

Fri Oct 29 17:21:31 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds.mpc:
          Fuzz.

Fri Oct 29 14:01:35 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.h:
        * connectors/dds4ccm/impl/ndds/Topic_T.cpp:
          Next action in a chain of remove and rename actions.

Fri Oct 29 13:42:02 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
          Rename actions.

Fri Oct 29 13:28:05 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.cpp:
          Continued with rename and move actions.

Fri Oct 29 13:18:59 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * bin/ciao_tests.lst:
        Add script to run Thread test with cdd file.

Fri Oct 29 12:55:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/ndds/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/ndds/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.h:
        * connectors/dds4ccm/impl/ndds/Topic_T.cpp:
        * connectors/dds4ccm/impl/ndds/convertors/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds.mpc:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/DDSTopicListener_T.cpp:
          Continued with rename and move actions.

Fri Oct 29 12:34:14 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
          Continued rename and move actions.

Fri Oct 29 12:14:56 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/DomainParticipant_T.cpp:
          Rename and move action in order to provide re-useable code.
          Missed these during the last commit.

Fri Oct 29 11:57:32 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:

        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:

        * connectors/dds4ccm/impl/ndds/convertors/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/DataReaderQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DataWriterQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/OctetSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ParticipantBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublisherQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliableWriterCacheChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriberQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriptionBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/Time_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/WriterDataLifecycleQosPolicy.h:

        * connectors/dds4ccm/impl/ndds/dds4ccm_dds_ndds_export.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds.mpc:

        * connectors/dds4ccm/impl/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/DataReader.h:
        * connectors/dds4ccm/impl/DataReader.cpp:
        * connectors/dds4ccm/impl/DataReader_T.h:
        * connectors/dds4ccm/impl/DataReader_T.cpp:
        * connectors/dds4ccm/impl/DataWriter.h:
        * connectors/dds4ccm/impl/DataWriter.cpp:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/Publisher_T.h:
        * connectors/dds4ccm/impl/Publisher_T.cpp:
        * connectors/dds4ccm/impl/QueryCondition_T.h:
        * connectors/dds4ccm/impl/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/StatusCondition.h:
        * connectors/dds4ccm/impl/StatusCondition.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/Subscriber_T.h:
        * connectors/dds4ccm/impl/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/TopicDescription_T.h:
        * connectors/dds4ccm/impl/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/Topic_T.h:
        * connectors/dds4ccm/impl/Topic_T.cpp:

        * connectors/dds4ccm/impl/ndds/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/DataReaderQos.h:
        * connectors/dds4ccm/impl/ndds/DataWriterQos.h:
        * connectors/dds4ccm/impl/ndds/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/ndds/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OctetSeq.h:
        * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ParticipantBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/PublisherQos.h:
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/ReliableWriterCacheChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/SubscriberQos.h:
        * connectors/dds4ccm/impl/ndds/SubscriptionBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Time_t.h:
        * connectors/dds4ccm/impl/ndds/TopicBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/TopicQos.h:
        * connectors/dds4ccm/impl/ndds/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/WriterDataLifecycleQosPolicy.h:
          Rename and move action in order to provide re-useable code.

Fri Oct 29 11:33:06 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
        * connectors/dds4ccm/impl/*:
          Reverted previous commit.

Fri Oct 29 10:33:50 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * MPC/config/dds4ccm_impl.mpb:
        * connectors/dds4ccm/impl/Coherent_Changes_Guard.h:
        * connectors/dds4ccm/impl/ConditionManager_T.h:
        * connectors/dds4ccm/impl/ConditionManager_T.cpp:
        * connectors/dds4ccm/impl/ContentFilterSetting.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.h:
        * connectors/dds4ccm/impl/DDSDataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.h:
        * connectors/dds4ccm/impl/DDSDataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.h:
        * connectors/dds4ccm/impl/DDSDomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.h:
        * connectors/dds4ccm/impl/DDSPublisherListener_T.cpp:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.h:
        * connectors/dds4ccm/impl/DDSSubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/DDSTopicListener_T.h:
        * connectors/dds4ccm/impl/DDSTopicListener_T.cpp:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_Base_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.h:
        * connectors/dds4ccm/impl/DDS_Subscriber_Base_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_Update_T.h:
        * connectors/dds4ccm/impl/DDS_Update_T.cpp:
        * connectors/dds4ccm/impl/DDS_Write_T.h:
        * connectors/dds4ccm/impl/DDS_Write_T.cpp:
        * connectors/dds4ccm/impl/DataReaderListener_T.cpp:
        * connectors/dds4ccm/impl/DataReaderStateListener_T.cpp:
        * connectors/dds4ccm/impl/DataWriterListener_T.cpp:
        * connectors/dds4ccm/impl/Getter_T.h:
        * connectors/dds4ccm/impl/Getter_T.cpp:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.h:
        * connectors/dds4ccm/impl/InstanceHandleManager_T.cpp:
        * connectors/dds4ccm/impl/PublisherListener_T.h:
        * connectors/dds4ccm/impl/Reader_T.h:
        * connectors/dds4ccm/impl/Reader_T.cpp:
        * connectors/dds4ccm/impl/TopicListener_T.cpp:
        * connectors/dds4ccm/impl/Updater_T.cpp:
        * connectors/dds4ccm/impl/Writer_T.cpp:
        * connectors/dds4ccm/impl/dds4ccm_conf.h:
        * connectors/dds4ccm/impl/dds4ccm_impl.mpc:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ndds/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader.h:
        * connectors/dds4ccm/impl/ndds/DataReader.cpp:
        * connectors/dds4ccm/impl/ndds/DataReader_T.h:
        * connectors/dds4ccm/impl/ndds/DataReader_T.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter.h:
        * connectors/dds4ccm/impl/ndds/DataWriter.cpp:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.h:
        * connectors/dds4ccm/impl/ndds/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/ndds/Publisher_T.h:
        * connectors/dds4ccm/impl/ndds/Publisher_T.cpp:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.h:
        * connectors/dds4ccm/impl/ndds/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ndds/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/ndds/StatusCondition.h:
        * connectors/dds4ccm/impl/ndds/StatusCondition.cpp:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/ndds/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.h:
        * connectors/dds4ccm/impl/ndds/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.h:
        * connectors/dds4ccm/impl/ndds/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/ndds/Topic_T.h:
        * connectors/dds4ccm/impl/ndds/Topic_T.cpp:
        * connectors/dds4ccm/impl/ndds/convertors:
        * connectors/dds4ccm/impl/ndds/convertors/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/DataReaderQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DataWriterQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/OctetSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ParticipantBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/PublisherQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/ReliableWriterCacheChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriberQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriptionBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/convertors/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/Time_t.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/TopicQos.h:
        * connectors/dds4ccm/impl/ndds/convertors/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/convertors/WriterDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_dds_ndds_export.h:
        * connectors/dds4ccm/impl/ndds/dds4ccm_ndds.mpc:

        * connectors/dds4ccm/impl/ContentFilteredTopic_T.h:
        * connectors/dds4ccm/impl/ContentFilteredTopic_T.cpp:
        * connectors/dds4ccm/impl/DataReader.h:
        * connectors/dds4ccm/impl/DataReader.cpp:
        * connectors/dds4ccm/impl/DataReader_T.h:
        * connectors/dds4ccm/impl/DataReader_T.cpp:
        * connectors/dds4ccm/impl/DataWriter.h:
        * connectors/dds4ccm/impl/DataWriter.cpp:
        * connectors/dds4ccm/impl/DataWriter_T.h:
        * connectors/dds4ccm/impl/DataWriter_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.h:
        * connectors/dds4ccm/impl/DomainParticipantFactory_T.cpp:
        * connectors/dds4ccm/impl/DomainParticipantListener.h:
        * connectors/dds4ccm/impl/DomainParticipantListener.cpp:
        * connectors/dds4ccm/impl/DomainParticipant_T.h:
        * connectors/dds4ccm/impl/DomainParticipant_T.cpp:
        * connectors/dds4ccm/impl/Publisher_T.h:
        * connectors/dds4ccm/impl/Publisher_T.cpp:
        * connectors/dds4ccm/impl/QueryCondition_T.h:
        * connectors/dds4ccm/impl/QueryCondition_T.cpp:
        * connectors/dds4ccm/impl/ReadCondition_T.h:
        * connectors/dds4ccm/impl/ReadCondition_T.cpp:
        * connectors/dds4ccm/impl/StatusCondition.h:
        * connectors/dds4ccm/impl/StatusCondition.cpp:
        * connectors/dds4ccm/impl/SubscriberListener_T.h:
        * connectors/dds4ccm/impl/SubscriberListener_T.cpp:
        * connectors/dds4ccm/impl/Subscriber_T.h:
        * connectors/dds4ccm/impl/Subscriber_T.cpp:
        * connectors/dds4ccm/impl/TopicDescription_T.h:
        * connectors/dds4ccm/impl/TopicDescription_T.cpp:
        * connectors/dds4ccm/impl/Topic_T.h:
        * connectors/dds4ccm/impl/Topic_T.cpp:
        * connectors/dds4ccm/impl/ndds/BuiltinTopicKey_t.h:
        * connectors/dds4ccm/impl/ndds/DataReaderQos.h:
        * connectors/dds4ccm/impl/ndds/DataWriterQos.h:
        * connectors/dds4ccm/impl/ndds/DeadlineQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DestinationOrderQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantFactoryQos.h:
        * connectors/dds4ccm/impl/ndds/DomainParticipantQos.h:
        * connectors/dds4ccm/impl/ndds/DurabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/DurabilityServiceQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Duration_t.h:
        * connectors/dds4ccm/impl/ndds/EntityFactoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/GroupDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/HistoryQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/InconsistentTopicStatus.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandleSeq.h:
        * connectors/dds4ccm/impl/ndds/InstanceHandle_t.h:
        * connectors/dds4ccm/impl/ndds/LatencyBudgetQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LifespanQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/LivelinessChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessLostStatus.h:
        * connectors/dds4ccm/impl/ndds/LivelinessQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OctetSeq.h:
        * connectors/dds4ccm/impl/ndds/OfferedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/OfferedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/OwnershipQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/OwnershipStrengthQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ParticipantBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/PartitionQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PresentationQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/PublicationBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/PublicationMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/PublisherQos.h:
        * connectors/dds4ccm/impl/ndds/QosPolicyCountSeq.h:
        * connectors/dds4ccm/impl/ndds/ReaderDataLifecycleQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ReliabilityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/ReliableReaderActivityChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/ReliableWriterCacheChangedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedDeadlineMissedStatus.h:
        * connectors/dds4ccm/impl/ndds/RequestedIncompatibleQosStatus.h:
        * connectors/dds4ccm/impl/ndds/ResourceLimitsQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/SampleInfo.h:
        * connectors/dds4ccm/impl/ndds/SampleLostStatus.h:
        * connectors/dds4ccm/impl/ndds/SampleRejectedStatus.h:
        * connectors/dds4ccm/impl/ndds/StringSeq.h:
        * connectors/dds4ccm/impl/ndds/SubscriberQos.h:
        * connectors/dds4ccm/impl/ndds/SubscriptionBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/SubscriptionMatchedStatus.h:
        * connectors/dds4ccm/impl/ndds/TimeBasedFilterQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/Time_t.h:
        * connectors/dds4ccm/impl/ndds/TopicBuiltinTopicData.h:
        * connectors/dds4ccm/impl/ndds/TopicDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/TopicQos.h:
        * connectors/dds4ccm/impl/ndds/TransportPriorityQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/UserDataQosPolicy.h:
        * connectors/dds4ccm/impl/ndds/WriterDataLifecycleQosPolicy.h:
          Rename and move action in order to separate RTI specific stuff from the DDS4CCM core
          functionality. Still some work to be done.

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_exec.cpp:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/descriptors/run_test.pl:
        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Sender/WU_LateBinding_Sender_exec.cpp:
          Creation and deletion of class pointers in constructor/destructor.

Thu Oct 28 12:45:19 UTC 2010  Marijke Hengstmengel  <mhengstmengel@remedy.nl>

        * tests/Thread/descriptors/NodeManagerMap.dat:
        * tests/Thread/descriptors/run_test.pl:
        * tests/Thread/descriptors/run_test_dat.pl:
        * tests/Thread/descriptors/NodeManagerMap.cdd:
        * tests/Thread/descriptors/run_test_cdd.pl:
        * tests/Thread/descriptors/DeploymentPlanDat.cdp:
        Change test to run  with cdd file, dat file or naming service.


Thu Oct 28 10:47:19 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Sender/WU_LateBinding_Sender_exec.h:
        * connectors/dds4ccm/tests/LateBinding/UpdateWrite/Sender/WU_LateBinding_Sender_exec.cpp:
          Expanded test with NonChangeableAttribute test.

Thu Oct 28 10:28:24 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.h:
        * connectors/dds4ccm/impl/DDS_TopicBase_Connector_T.cpp:
          Prevented double code by introducing a new method.

Thu Oct 28 10:04:59 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Event_Connector_T.cpp:
        * connectors/dds4ccm/impl/DDS_State_Connector_T.cpp:
          Resolved issue regarding LateBinding.

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
          Expanded test.

Thu Oct 28 09:51:08 UTC 2010  Marcel Smit  <msmit@remedy.nl>

        * connectors/dds4ccm/impl/DDS_Get_T.cpp:
        * connectors/dds4ccm/impl/DDS_Listen_T.cpp:
        * connectors/dds4ccm/impl/DDS_StateListen_T.cpp:
          Fixed test issues related to set_component/_get_component.

        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.h:
        * connectors/dds4ccm/tests/LateBinding/ReadGet/Receiver/RG_LateBinding_Receiver_impl.cpp:
          Added non-changeable exception test.

